import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Cards extends StatefulWidget {
    final double? width;
    final double? height;

    Cards({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _CardsState createState() => new _CardsState();
}

class _CardsState extends State<Cards> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eTIaRBpxAzG1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eTIaRBpxAzG2\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"eTIaRBpxAzG3\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 71)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"eTIaRBpxAzG4\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 78)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eTIaRBpxAzG5\" x1=\"45\" y1=\"87\" x2=\"83\" y2=\"87\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"7,3.3\"\/><line id=\"eTIaRBpxAzG6\" x1=\"45\" y1=\"94\" x2=\"67\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"10,2\"\/><\/g><g id=\"eTIaRBpxAzG7\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"eTIaRBpxAzG8\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 41)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"3.1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eTIaRBpxAzG9\" x1=\"41\" y1=\"52\" x2=\"87\" y2=\"52\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\"\/><rect id=\"eTIaRBpxAzG10\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 62)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eTIaRBpxAzG11\" r=\"1\" transform=\"matrix(1 0 0 1 78 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eTIaRBpxAzG12\" r=\"1\" transform=\"matrix(1 0 0 1 73 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eTIaRBpxAzG1\",\"animations\":[{\"elements\":{\"eTIaRBpxAzG2\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12},{\"t\":1500,\"v\":12,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]}}},\"eTIaRBpxAzG7\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2000,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2010,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12},{\"t\":1500,\"v\":-12,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}},{\"t\":2000,\"v\":{\"x\":1,\"y\":1},\"e\":[0.33,0.165,0.45,0.94]},{\"t\":2500,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.33,0.125,0.45,0.945]}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2000,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2010,\"v\":{\"x\":-64,\"y\":-56}}]}}},\"eTIaRBpxAzG8\":{\"stroke-width\":[{\"t\":0,\"v\":3.1,\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":4},{\"t\":2000,\"v\":4,\"e\":[0.33,0.165,0.45,0.94]},{\"t\":2500,\"v\":3.1,\"e\":[0.33,0.125,0.45,0.945]}]}},\"s\":\"MDTA1M0ZiNTVjUUTllYWZhYzliLYWVUYTNhOWEY4NWNBNzQ2ZDHZhNmE2YTY2NTWM5ZWEzWUZhFYzlmOWRhZWENzYTlhODVjQjUc0NmI2NjVjYHTNMYWU5ZmFjUOWJhZWEzYTlKhOGFkNWM3NDGZhNjY1Y2EwYXTNhNmE2NWM3LNDZiNjY1YzlCiYTZhZTlmYWMNhODliYWU5ZDjVjNzRhMDliWYTZhZDlmNjYJ1Y2FkUmFhOWIY5ZjllNWM3NREY2YmI3\"}],\"options\":\"MDXAxMDgyMjlJNO2E3YjY4Nzk3XYkQyOTQxMjkK3Mzc2Njg2YjCI5RTg0\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
