import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Cart extends StatefulWidget {
    final double? width;
    final double? height;

    Cart({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _CartState createState() => new _CartState();
}

class _CartState extends State<Cart> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"e9oSLXbr4B31\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"18 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e9oSLXbr4B32\" transform=\"matrix(1 0 0 1 0.000001 0)\"><line id=\"e9oSLXbr4B33\" x1=\"76\" y1=\"92\" x2=\"66\" y2=\"92\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"e9oSLXbr4B34\" x1=\"54\" y1=\"92\" x2=\"27\" y2=\"92\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"54\" stroke-dasharray=\"10.8,16.3\"\/><line id=\"e9oSLXbr4B35\" x1=\"54\" y1=\"92\" x2=\"27\" y2=\"92\" opacity=\"0\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"54\" stroke-dasharray=\"10.8,16.3\"\/><g id=\"e9oSLXbr4B36\"><circle id=\"e9oSLXbr4B37\" r=\"6\" transform=\"matrix(1 0 0 1 76 86)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e9oSLXbr4B38\" r=\"6\" transform=\"matrix(1 0 0 1 54 86)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><g id=\"e9oSLXbr4B39\" transform=\"matrix(1 0 0 1.03856 0.000005 -2.6992)\"><path id=\"e9oSLXbr4B310\" d=\"M73.06,70L56.25,70C52.579401,69.999444,49.38012,67.501037,48.49,63.94L44,46L83.53,46C84.917048,45.999007,86.205604,46.716652,86.935052,47.896401C87.6645,49.076151,87.730704,50.549585,87.11,51.79L80.21,65.58C78.855098,68.287637,76.087715,69.998383,73.06,70Z\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><ellipse id=\"e9oSLXbr4B311\" rx=\"6.875\" ry=\"6.875\" transform=\"matrix(1 0 0 1 58.451563 -9.189857)\" opacity=\"0\" fill=\"rgb(0,162,255)\" stroke=\"none\" stroke-width=\"0\"\/><rect id=\"e9oSLXbr4B312\" width=\"14.025\" height=\"14.025\" rx=\"4\" ry=\"4\" transform=\"matrix(0.921048 0.389448 -0.389448 0.921048 68.038573 -18.379714)\" opacity=\"0\" fill=\"rgb(0,162,255)\" stroke=\"none\" stroke-width=\"0\"\/><ellipse id=\"e9oSLXbr4B313\" rx=\"6.875\" ry=\"6.875\" transform=\"matrix(0.761249 0 0 0.761249 66.576563 -9.189857)\" opacity=\"0\" fill=\"rgb(0,162,255)\" stroke=\"none\" stroke-width=\"0\"\/><path id=\"e9oSLXbr4B314\" d=\"M35.28,36.09C38.935676,36.108844,42.113535,38.603382,43,42.15L44,46\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"e9oSLXbr4B315\" x1=\"46\" y1=\"54\" x2=\"59\" y2=\"54\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/g><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e9oSLXbr4B31\",\"animations\":[{\"elements\":{\"e9oSLXbr4B32\":{\"transform\":{\"data\":{\"t\":{\"x\":-57.266433,\"y\":-64.045}},\"keys\":{\"o\":[{\"t\":700,\"v\":{\"x\":57.266434,\"y\":64.045,\"type\":\"corner\"},\"e\":[0.42,0,0.395,1.005]},{\"t\":1000,\"v\":{\"x\":52.287184,\"y\":64.045,\"type\":\"corner\"},\"e\":[0.55,0.055,0.935,0.355]},{\"t\":1400,\"v\":{\"x\":97,\"y\":64.045,\"type\":\"corner\"}},{\"t\":1410,\"v\":{\"x\":8.25,\"y\":64.045,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":1900,\"v\":{\"x\":65.71,\"y\":64.045,\"type\":\"corner\"},\"e\":[0.58,0,0.58,1]},{\"t\":2100,\"v\":{\"x\":57.266434,\"y\":64.045,\"type\":\"corner\"},\"e\":[0.42,0,0.395,1.005]}],\"k\":[{\"t\":1000,\"v\":{\"x\":0,\"y\":0},\"e\":[0.42,0,1,1]},{\"t\":1400,\"v\":{\"x\":-4,\"y\":0}},{\"t\":1900,\"v\":{\"x\":-8,\"y\":0},\"e\":[0.58,0,0.58,1]},{\"t\":2100,\"v\":{\"x\":0,\"y\":0}}]}},\"opacity\":[{\"t\":1200,\"v\":1},{\"t\":1400,\"v\":0},{\"t\":1410,\"v\":0},{\"t\":1700,\"v\":1}]},\"e9oSLXbr4B33\":{\"#line\":[{\"t\":700,\"v\":[76,92,66,92],\"e\":[0.42,0,0.395,1.005]},{\"t\":1000,\"v\":[77.659926,92,73.072594,92]},{\"t\":1500,\"v\":[76,92,66,92]}]},\"e9oSLXbr4B34\":{\"stroke-dashoffset\":[{\"t\":700,\"v\":54,\"e\":[0.42,0,0.395,1.005]},{\"t\":1090,\"v\":54},{\"t\":1250,\"v\":26},{\"t\":1400,\"v\":26},{\"t\":1410,\"v\":54,\"e\":[0.42,0,0.395,1.005]}],\"stroke-dasharray\":[{\"t\":700,\"v\":[10.8,16.3],\"e\":[0.42,0,0.395,1.005]},{\"t\":1090,\"v\":[14.8,12.3]},{\"t\":1250,\"v\":[0.1,26.9]},{\"t\":1400,\"v\":[0.1,26.9]},{\"t\":1410,\"v\":[10.8,16.3],\"e\":[0.42,0,0.395,1.005]}]},\"e9oSLXbr4B35\":{\"opacity\":[{\"t\":1090,\"v\":0},{\"t\":1100,\"v\":1}],\"stroke-dashoffset\":[{\"t\":1210,\"v\":54,\"e\":[0.42,0,0.395,1.005]},{\"t\":1370,\"v\":26}],\"stroke-dasharray\":[{\"t\":1210,\"v\":[10.8,16.3],\"e\":[0.42,0,0.395,1.005]},{\"t\":1370,\"v\":[0.1,26.9]}]},\"e9oSLXbr4B36\":{\"transform\":{\"data\":{\"o\":{\"x\":54,\"y\":86,\"type\":\"corner\"},\"t\":{\"x\":-54,\"y\":-86}},\"keys\":{\"r\":[{\"t\":700,\"v\":0,\"e\":[0.42,0,0.395,1.005]},{\"t\":1000,\"v\":-12.139813,\"e\":[0,0,0.58,1]},{\"t\":1500,\"v\":0}]}}},\"e9oSLXbr4B39\":{\"transform\":{\"data\":{\"t\":{\"x\":-63.999994,\"y\":-70}},\"keys\":{\"o\":[{\"t\":500,\"v\":{\"x\":63.999999,\"y\":70,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":700,\"v\":{\"x\":63.999999,\"y\":73,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":900,\"v\":{\"x\":63.999999,\"y\":70,\"type\":\"corner\"}}],\"s\":[{\"t\":500,\"v\":{\"x\":1,\"y\":1.03856},\"e\":[0.42,0,0.58,1]},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1.03856}}]}}},\"e9oSLXbr4B311\":{\"transform\":{\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":58.451563,\"y\":-9.189857,\"type\":\"corner\"},\"e\":[0.42,0,1,1]},{\"t\":500,\"v\":{\"x\":58.451563,\"y\":64,\"type\":\"corner\"}}]}},\"opacity\":[{\"t\":200,\"v\":0},{\"t\":500,\"v\":1},{\"t\":1400,\"v\":1},{\"t\":1410,\"v\":0}]},\"e9oSLXbr4B312\":{\"transform\":{\"data\":{\"r\":22.920169,\"t\":{\"x\":-7.0125,\"y\":-7.0125}},\"keys\":{\"o\":[{\"t\":100,\"v\":{\"x\":71.766419,\"y\":-9.189857,\"type\":\"corner\"},\"e\":[0.42,0,1,1]},{\"t\":600,\"v\":{\"x\":71.766419,\"y\":64,\"type\":\"corner\"}}]}},\"opacity\":[{\"t\":300,\"v\":0},{\"t\":600,\"v\":1},{\"t\":1400,\"v\":1},{\"t\":1410,\"v\":0}]},\"e9oSLXbr4B313\":{\"transform\":{\"data\":{\"s\":{\"x\":0.761249,\"y\":0.761249}},\"keys\":{\"o\":[{\"t\":200,\"v\":{\"x\":66.576563,\"y\":-9.189857,\"type\":\"corner\"},\"e\":[0.42,0,1,1]},{\"t\":700,\"v\":{\"x\":66.576563,\"y\":64,\"type\":\"corner\"}}]}},\"opacity\":[{\"t\":400,\"v\":0},{\"t\":700,\"v\":1},{\"t\":1400,\"v\":1},{\"t\":1410,\"v\":0}]}},\"s\":\"MDFA1Mzk4M2Y4MMTkyOGY3ZTkxMODY4YzhiM2YS1N0U1MEU0ZDJRkNGQ0OTNmOWDE4NjhmODI4AMDkxODZTOGMB4YjNmNTc0ZTJQ5M2Y4NjkxOFDI4ZjdlOTE4WNjhjOGI5MDNJmNTc0ZDQ5M2MY4Mzg2ODk4OXTNmNTc0ZTQ5EM2Y3ZTg5OTEX4MjhmOGI3ZVDg5MTgyM2Y1NDzgzN2U4OTkwPODI0OTNmOTAF4ZDgyODI4MTRNmUTU3NGU5YIQ|\"}],\"options\":\"MDPAxMDgyMjk3YETdiNjg3OTdiOMjk0MTI5NzMF3NjY4NmIyOTDg0\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
