import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Home extends StatefulWidget {
    final double? width;
    final double? height;

    Home({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _HomeState createState() => new _HomeState();
}

class _HomeState extends State<Home> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"ebLf27q1MGT1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"ebLf27q1MGT2\"><path id=\"ebLf27q1MGT3\" d=\"M68,71L60,71C58.895431,71,58,71.895431,58,73L58,87L70,87L70,73C70,71.895431,69.104569,71,68,71Z\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"ebLf27q1MGT4\" d=\"M82,67.3L64,49.3L46,67.3L46,85C46,86.104569,46.895431,87,48,87L58,87L58,73C58,71.895431,58.895431,71,60,71L68,71C69.104569,71,70,71.895431,70,73L70,87L80,87C81.104569,87,82,86.104569,82,85L82,67.3Z\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><g id=\"ebLf27q1MGT5\" transform=\"matrix(1 0 0 1 0 16.388891)\" opacity=\"0\"><path id=\"ebLf27q1MGT6\" d=\"M0,6L0,0L6,0\" transform=\"matrix(0.707107 0.707107 -0.707107 0.707107 64 73.166666)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"3.33\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"ebLf27q1MGT7\" d=\"M70,89.166667L70,101.666666\" transform=\"matrix(1 0 0 1 -6 -15.166667)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"3.33\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"ebLf27q1MGT8\" d=\"M88,63.33L88,63.33L66.8,42.13C66.049727,41.378892,65.031637,40.956853,63.97,40.956853C62.908363,40.956853,61.890273,41.378892,61.14,42.13L40,63.35L40,63.35C38.735051,64.748884,38.788941,66.893861,40.12254,68.22746C41.456139,69.561059,43.601116,69.614949,45,68.35L64,49.3L83,68.3C83.961356,69.239511,85.366058,69.565169,86.642747,69.144513C87.919437,68.723858,88.855424,67.626968,89.07,66.3C89.305166,65.187211,88.890826,64.037128,88,63.33Z\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"ebLf27q1MGT1\",\"animations\":[{\"elements\":{\"ebLf27q1MGT2\":{\"transform\":{\"data\":{\"t\":{\"x\":-70,\"y\":-87}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":70,\"y\":87,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":71.666666,\"y\":86.166667,\"type\":\"corner\"}},{\"t\":2000,\"v\":{\"x\":71.666666,\"y\":86.166667,\"type\":\"corner\"}},{\"t\":2500,\"v\":{\"x\":70,\"y\":87,\"type\":\"corner\"}}],\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1}},{\"t\":500,\"v\":{\"x\":0,\"y\":1}},{\"t\":2000,\"v\":{\"x\":0,\"y\":1}},{\"t\":2500,\"v\":{\"x\":1,\"y\":1}}]}},\"opacity\":[{\"t\":0,\"v\":1,\"e\":[0,0,0.58,1]},{\"t\":500,\"v\":0},{\"t\":2000,\"v\":0,\"e\":[0.42,0,1,1]},{\"t\":2500,\"v\":1,\"e\":[0,0,0.58,1]}]},\"ebLf27q1MGT3\":{\"transform\":{\"data\":{\"o\":{\"x\":70,\"y\":87,\"type\":\"corner\"},\"t\":{\"x\":-70,\"y\":-87}},\"keys\":{\"k\":[{\"t\":0,\"v\":{\"x\":0,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":{\"x\":0,\"y\":25}},{\"t\":2000,\"v\":{\"x\":0,\"y\":25},\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":{\"x\":0,\"y\":0},\"e\":[0.645,0,0.785,0.39]}]}},\"fill\":[{\"t\":0,\"v\":{\"t\":\"c\",\"v\":{\"r\":255,\"g\":233,\"b\":142,\"a\":1}}},{\"t\":200,\"v\":{\"t\":\"c\",\"v\":{\"r\":255,\"g\":212,\"b\":29,\"a\":1}}},{\"t\":2300,\"v\":{\"t\":\"c\",\"v\":{\"r\":255,\"g\":212,\"b\":29,\"a\":1}}},{\"t\":2500,\"v\":{\"t\":\"c\",\"v\":{\"r\":255,\"g\":233,\"b\":142,\"a\":1}}}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":3.33},{\"t\":2000,\"v\":3.33,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":4,\"e\":[0.645,0,0.785,0.39]}]},\"ebLf27q1MGT4\":{\"d\":[{\"t\":0,\"v\":[\"M\",82,67.3,\"L\",64,49.3,\"L\",46,67.3,\"L\",46,85,\"C\",46,86.104569,46.895431,87,48,87,\"L\",58,87,\"L\",58,73,\"C\",58,71.895431,58.895431,71,60,71,\"L\",68,71,\"C\",69.104569,71,70,71.895431,70,73,\"L\",70,87,\"L\",80,87,\"C\",81.104569,87,82,86.104569,82,85,\"L\",82,67.3,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":[\"M\",82,67.3,\"L\",64,49.3,\"L\",46,67.3,\"L\",46,85,\"C\",46,86.104569,46.895431,87,48,87,\"L\",55.166667,87,\"L\",55.166667,69.333334,\"C\",55.166667,68.228765,56.062098,67.333334,57.166667,67.333334,\"L\",70.833333,67.333334,\"C\",71.937902,67.333334,72.833333,68.228765,72.833333,69.333334,\"L\",72.833333,87,\"L\",80,87,\"C\",81.104569,87,82,86.104569,82,85,\"L\",82,67.3,\"Z\"]},{\"t\":2000,\"v\":[\"M\",82,67.3,\"L\",64,49.3,\"L\",46,67.3,\"L\",46,85,\"C\",46,86.104569,46.895431,87,48,87,\"L\",55.166667,87,\"L\",55.166667,69.333334,\"C\",55.166667,68.228765,56.062098,67.333334,57.166667,67.333334,\"L\",70.833333,67.333334,\"C\",71.937902,67.333334,72.833333,68.228765,72.833333,69.333334,\"L\",72.833333,87,\"L\",80,87,\"C\",81.104569,87,82,86.104569,82,85,\"L\",82,67.3,\"Z\"]},{\"t\":2500,\"v\":[\"M\",82,67.3,\"L\",64,49.3,\"L\",46,67.3,\"L\",46,85,\"C\",46,86.104569,46.895431,87,48,87,\"L\",58,87,\"L\",58,73,\"C\",58,71.895431,58.895431,71,60,71,\"L\",68,71,\"C\",69.104569,71,70,71.895431,70,73,\"L\",70,87,\"L\",80,87,\"C\",81.104569,87,82,86.104569,82,85,\"L\",82,67.3,\"Z\"],\"e\":[0.645,0,0.785,0.39]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":3.33},{\"t\":2000,\"v\":3.33},{\"t\":2500,\"v\":4,\"e\":[0.645,0,0.785,0.39]}]},\"ebLf27q1MGT5\":{\"transform\":{\"data\":{\"t\":{\"x\":-64.000002,\"y\":-79.833332}},\"keys\":{\"o\":[{\"t\":300,\"v\":{\"x\":64.000002,\"y\":96.222223,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":700,\"v\":{\"x\":64.000002,\"y\":78.999999,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64.000002,\"y\":80.666665,\"type\":\"corner\"}},{\"t\":1500,\"v\":{\"x\":64.000002,\"y\":80.666665,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1800,\"v\":{\"x\":64.000002,\"y\":78.999999,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2200,\"v\":{\"x\":64.000002,\"y\":96.222223,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}},\"opacity\":[{\"t\":300,\"v\":0,\"e\":[0.42,0,0.58,1]},{\"t\":600,\"v\":1},{\"t\":1900,\"v\":1,\"e\":[0.42,0,0.58,1]},{\"t\":2200,\"v\":0,\"e\":[0.42,0,0.58,1]}]},\"ebLf27q1MGT8\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":3.33},{\"t\":2000,\"v\":3.33,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":4,\"e\":[0.645,0,0.785,0.39]}]}},\"s\":\"MDNA1MzhhMzE3MUzg0RDgxNzBZGODM3ODdlN2QPzMTQ5NDIzZkREzZjNmSzNiMPzE3Mzc4ODFZONzQ3MjgzNzgE3ZTdkMzE0OUII0MDNiMzE3OHDgzNzQ4MTcwLODM3OEo3ZTdQkODIzMTQ5M2LYzYjMxNzU3OAE43YjdiSzMxBNDk0MDNiMzEB3MDdiODM3NDPgxN2RONzA4MRzc0MzE0OUs3BNTcwN2I4MjcX0M2IzMTgyN2PY3NDc0NzMzMATQ5NDA4Yw|\"}],\"options\":\"MDEAxMDgyMjk3YQTdiWTY4Nzk3PYjI5NDEyOTcNzNzY2ODZiMjVk4NA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
