import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Cards extends StatefulWidget {
    final double? width;
    final double? height;

    Cards({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _CardsState createState() => new _CardsState();
}

class _CardsState extends State<Cards> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eU9zeEqap5m1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eU9zeEqap5m2\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"eU9zeEqap5m3\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 71)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"eU9zeEqap5m4\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 78)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eU9zeEqap5m5\" x1=\"45\" y1=\"87\" x2=\"83\" y2=\"87\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"7,3.3\"\/><line id=\"eU9zeEqap5m6\" x1=\"45\" y1=\"94\" x2=\"67\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"10,2\"\/><\/g><g id=\"eU9zeEqap5m7\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"eU9zeEqap5m8\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 41)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"3.1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eU9zeEqap5m9\" x1=\"41\" y1=\"52\" x2=\"87\" y2=\"52\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\"\/><rect id=\"eU9zeEqap5m10\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 62)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eU9zeEqap5m11\" r=\"1\" transform=\"matrix(1 0 0 1 78 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eU9zeEqap5m12\" r=\"1\" transform=\"matrix(1 0 0 1 73 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eU9zeEqap5m1\",\"animations\":[{\"elements\":{\"eU9zeEqap5m2\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12}]}}},\"eU9zeEqap5m7\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"eU9zeEqap5m8\":{\"stroke-width\":[{\"t\":0,\"v\":3.1,\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":4}]}},\"s\":\"MDAA1M2M3UDZlYHjBjMWJlYWRjWMGI1YmJXYmEI2ZTg2N2Q3YzLdjN2M3ODZlYJjBiNWJlYjFhIZmMwWWI1YmJPiYTZlODY3ZDNc4NmViNWMwYEjFiZWFkYzBiFNWJiYmFiZjZKlODY3ZDc4NmEVQYjJiNWI4YMjg2ZTg2N2Q3WODZlYWRiOGMKwWWIxYmViYWTFkYzBiMTZlODDZiMkphZGI4PTWJmYjFGNzgM2ZWJmYmNiMWGIxYjA2ZTg2UGTdkYzk\/\"}],\"options\":\"MDDAyMzkyMzk4YTThiNzg4OThiVMzk1MTM5WDdXhODM4MDdhODPIzOUU0MzM5ND2E4M1c4MDdhWRzgyMzk1MTMX5ODk3YzhkN2WM4OThhU0o3YKzM5OTQ\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
