import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Filter extends StatefulWidget {
    final double? width;
    final double? height;

    Filter({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _FilterState createState() => new _FilterState();
}

class _FilterState extends State<Filter> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eVKxfFj5kzC1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><path id=\"eVKxfFj5kzC2\" d=\"M39,47.13C39,47.13,59,63,59,63C59,63,59,89,59,89L69,85C69,85,69,63,69,63C69,63,89,47.13,89,47.13C90.329266,46.072289,90.845472,44.290353,90.287402,42.685903C89.729333,41.081454,88.218729,40.004495,86.52,40L41.52,40C39.813915,39.987402,38.287633,41.058336,37.71909,42.666951C37.150547,44.275566,37.664906,46.067735,39,47.13Z\" transform=\"matrix(1 0 0 1 0 -0.499945)\" fill=\"rgb(204,162,255)\" stroke=\"rgb(154,71,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eVKxfFj5kzC3\" x1=\"-14\" y1=\"0\" x2=\"14\" y2=\"0\" transform=\"matrix(1 0 0 1 64 64)\" opacity=\"0\" fill=\"none\" stroke=\"rgb(154,71,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-dashoffset=\"14\" stroke-dasharray=\"0,28\"\/><line id=\"eVKxfFj5kzC4\" x1=\"-14\" y1=\"0\" x2=\"14\" y2=\"0\" transform=\"matrix(1 0 0 1 64 77)\" opacity=\"0\" fill=\"none\" stroke=\"rgb(154,71,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-dashoffset=\"14\" stroke-dasharray=\"0,28\"\/><line id=\"eVKxfFj5kzC5\" x1=\"-14\" y1=\"0\" x2=\"14\" y2=\"0\" transform=\"matrix(1 0 0 1 64 52)\" opacity=\"0\" fill=\"none\" stroke=\"rgb(154,71,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-dashoffset=\"14\" stroke-dasharray=\"0,28\"\/><ellipse id=\"eVKxfFj5kzC6\" rx=\"1.484951\" ry=\"1.484951\" transform=\"matrix(0 0 0 0 75 52)\" fill=\"rgb(204,162,255)\" stroke=\"rgb(154,71,255)\" stroke-width=\"3\"\/><ellipse id=\"eVKxfFj5kzC7\" rx=\"1.505304\" ry=\"1.505304\" transform=\"matrix(0 0 0 0 54 64)\" fill=\"rgb(204,162,255)\" stroke=\"rgb(154,71,255)\" stroke-width=\"3\"\/><ellipse id=\"eVKxfFj5kzC8\" rx=\"1.505305\" ry=\"1.505305\" transform=\"matrix(0 0 0 0 74.979646 77)\" fill=\"rgb(204,162,255)\" stroke=\"rgb(154,71,255)\" stroke-width=\"3\"\/><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eVKxfFj5kzC1\",\"animations\":[{\"elements\":{\"eVKxfFj5kzC2\":{\"d\":[{\"t\":0,\"v\":[\"M\",39,47.13,\"C\",39,47.13,59,63,59,63,\"C\",59,63,59,89,59,89,\"L\",69,85,\"C\",69,85,69,63,69,63,\"C\",69,63,89,47.13,89,47.13,\"C\",90.329266,46.072289,90.845472,44.290353,90.287402,42.685903,\"C\",89.729333,41.081454,88.218729,40.004495,86.52,40,\"L\",41.52,40,\"C\",39.813915,39.987402,38.287633,41.058336,37.71909,42.666951,\"C\",37.150547,44.275566,37.664906,46.067735,39,47.13,\"Z\"],\"e\":[0.55,0.055,0.675,0.19]},{\"t\":250,\"v\":[\"M\",37.756166,46.169344,\"C\",39.527309,55.26145,41.771745,63.403997,42.440209,66.154777,\"C\",42.88379,67.980147,48,89.5,51.26,89.5,\"L\",76.76,89.5,\"C\",80,89.5,85.159414,67.714287,85.733733,65.717883,\"C\",86.616552,62.649095,88.118244,55.364726,90.333171,46.063503,\"C\",90.667011,44.661598,90.635271,43.485441,90.100061,42.303195,\"C\",89.564851,41.120949,88.21873,40.011377,86.520001,40.006883,\"L\",41.520001,40.006883,\"C\",39.813916,39.994285,38.513512,41.029842,37.930254,42.24329,\"C\",37.346995,43.456739,37.507135,44.890953,37.756166,46.169344,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":[\"M\",39.5,45,\"C\",39.5,45,39.5,85,39.5,85,\"C\",39.5,87.455359,41.438294,89,43.52,89,\"L\",84.52,89,\"C\",86.809594,89,88.5,87.150911,88.5,85,\"C\",88.5,85,88.500001,45.43532,88.500001,45.43532,\"C\",88.500001,43.820928,88.425067,42.666762,87.912717,41.90672,\"C\",87.400367,41.146678,86.218729,40.004495,84.52,40,\"L\",43.52,40,\"C\",41.813915,39.987402,40.739391,40.987581,40.141416,41.805863,\"C\",39.543441,42.624145,39.5,43.665863,39.5,45,\"Z\"]}]},\"eVKxfFj5kzC3\":{\"opacity\":[{\"t\":240,\"v\":0},{\"t\":250,\"v\":1}],\"stroke-dashoffset\":[{\"t\":250,\"v\":14,\"e\":[0.42,0,0.58,1]},{\"t\":650,\"v\":28}],\"stroke-dasharray\":[{\"t\":250,\"v\":[0,28],\"e\":[0.42,0,0.58,1]},{\"t\":650,\"v\":[28,0]}]},\"eVKxfFj5kzC4\":{\"opacity\":[{\"t\":390,\"v\":0},{\"t\":400,\"v\":1}],\"stroke-dashoffset\":[{\"t\":400,\"v\":14,\"e\":[0,0,0.58,1]},{\"t\":800,\"v\":28}],\"stroke-dasharray\":[{\"t\":400,\"v\":[0,28],\"e\":[0,0,0.58,1]},{\"t\":800,\"v\":[28,0]}]},\"eVKxfFj5kzC5\":{\"opacity\":[{\"t\":90,\"v\":0},{\"t\":100,\"v\":1}],\"stroke-dashoffset\":[{\"t\":100,\"v\":14,\"e\":[0.42,0,1,1]},{\"t\":500,\"v\":28}],\"stroke-dasharray\":[{\"t\":100,\"v\":[0,28],\"e\":[0.42,0,1,1]},{\"t\":500,\"v\":[28,0]}]},\"eVKxfFj5kzC6\":{\"#radius\":[{\"t\":500,\"v\":{\"x\":1.484951,\"y\":1.484951},\"e\":[0,0,0.58,1]},{\"t\":800,\"v\":{\"x\":4,\"y\":4}}],\"transform\":{\"keys\":{\"o\":[{\"t\":500,\"v\":{\"x\":75,\"y\":52,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":800,\"v\":{\"x\":58,\"y\":52,\"type\":\"corner\"}}],\"s\":[{\"t\":400,\"v\":{\"x\":0,\"y\":0}},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}]}}},\"eVKxfFj5kzC7\":{\"#radius\":[{\"t\":600,\"v\":{\"x\":1.505304,\"y\":1.505304},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":4,\"y\":4}}],\"transform\":{\"keys\":{\"o\":[{\"t\":600,\"v\":{\"x\":54,\"y\":64,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":70,\"y\":64,\"type\":\"corner\"}}],\"s\":[{\"t\":500,\"v\":{\"x\":0,\"y\":0}},{\"t\":600,\"v\":{\"x\":1,\"y\":1}}]}}},\"eVKxfFj5kzC8\":{\"#radius\":[{\"t\":700,\"v\":{\"x\":1.505305,\"y\":1.505305},\"e\":[0,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":4,\"y\":4}}],\"transform\":{\"keys\":{\"o\":[{\"t\":700,\"v\":{\"x\":74.979646,\"y\":77,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":53,\"y\":77,\"type\":\"corner\"}}],\"s\":[{\"t\":600,\"v\":{\"x\":0,\"y\":0}},{\"t\":700,\"v\":{\"x\":1,\"y\":1}}]}}}},\"s\":\"MDSA1Mzg4MmZJNEzE4MjdmNmU4HMU03NjdjN2IUyZjQ3M2UzZDDNkTjNkMzkyZGlc3MTc2N2Y3VMjcwODE3NjdDjN2IyZjQ3M2RUzOUkyZjc2OQDE3MlI3ZjZlXODE3NjdjN2IN4MDJmNDczZTNM5MmY3Mzc2NFzlNNzkyZjQ3JWTNlTjM5MmYN2ZTc5ODE3MjJdmN2JFNmU4MDTcySDJmVDQ3CNzM2ZTc5ODAI3MjM5MmY4MDDdkNzI3MjcxMVmY0NzNlOGE\/O\"}],\"options\":\"MDRAyMzljNDM5NIDk1ODI5Mzk1CNDM1YjQzODQW4ZFE4YTg0OGWM0MzRkNDM4NNDhkOGE4NDhjBRDQzNWI0MzkMzVDg2OTc4NjEkzOTRFODY0MQzll\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
