import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Search extends StatefulWidget {
    final double? width;
    final double? height;

    Search({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _SearchState createState() => new _SearchState();
}

class _SearchState extends State<Search> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"e4QrfF3UIAd1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e4QrfF3UIAd2\" transform=\"matrix(0.707107 -0.707107 0.707107 0.707107 -34.639604 84.154347)\"><ellipse id=\"e4QrfF3UIAd3\" rx=\"18.000001\" ry=\"18.000001\" transform=\"matrix(1 0 0 1 84.221826 46.221818)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\"\/><g id=\"e4QrfF3UIAd4\"><path id=\"e4QrfF3UIAd5\" d=\"M-8.029452,5.916737C-8.029452,8.125876,-6.238591,9.916737,-4.029452,9.916737C-1.820313,9.916737,-0.029452,8.125876,-0.029452,5.916737L0,5.757358L-0.017478,-15.431692\" transform=\"matrix(1 0 0 1 88 80)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"67.8\" stroke-dasharray=\"33.9\"\/><line id=\"e4QrfF3UIAd6\" x1=\"0\" y1=\"5.757358\" x2=\"0\" y2=\"-15.414214\" transform=\"matrix(1 0 0 1 80 80)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"42.34\" stroke-dasharray=\"21.17\"\/><\/g><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e4QrfF3UIAd1\",\"animations\":[{\"elements\":{\"e4QrfF3UIAd2\":{\"transform\":{\"data\":{\"t\":{\"x\":-84,\"y\":-46}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":57.284278,\"y\":57.284289,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":63.999989,\"y\":57.284289,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":-45,\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":0}]}}},\"e4QrfF3UIAd3\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18.000001,\"y\":18.000001},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":26,\"y\":26}}],\"transform\":{\"data\":{\"t\":{\"x\":7.999999,\"y\":7.999999}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":76.221827,\"y\":38.221819,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":76.000012,\"y\":44.715712,\"type\":\"corner\"}}]}}},\"e4QrfF3UIAd4\":{\"transform\":{\"data\":{\"t\":{\"x\":-83.975282,\"y\":-64.587577}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":83.975282,\"y\":64.587577,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":92.000011,\"y\":52.715711,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":450,\"v\":{\"x\":93.000011,\"y\":52.715711,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":600,\"v\":{\"x\":92.000011,\"y\":52.715711,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":90}]}}},\"e4QrfF3UIAd5\":{\"transform\":{\"data\":{\"t\":{\"x\":0,\"y\":15.414214}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":88,\"y\":64.585786,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":{\"x\":84,\"y\":64.585786,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":-45}]}},\"stroke-dashoffset\":[{\"t\":0,\"v\":67.8,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":39.09}],\"stroke-dasharray\":[{\"t\":0,\"v\":[33.9],\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":[21.17,33.92]}]},\"e4QrfF3UIAd6\":{\"transform\":{\"data\":{\"t\":{\"x\":0,\"y\":15.414214}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":80,\"y\":64.585786,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":{\"x\":84,\"y\":64.585786,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":45}]}},\"stroke-dashoffset\":[{\"t\":100,\"v\":42.34,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":38.997368}]}},\"s\":\"MDQA1Mjg4RDJmUXjcxODI3ZjZlYODFENzY3YzdNiMmY0NzQzM2KROM2RLMzkyZHjcxNzY3ZjcyONzA4MTc2N2MS3YjJmNDczZTHM5MmZRNzY4MXTcyN2Y2ZTgxGNzY3YzdiODAUyZjQ3M2UzOTNJmNzM3NkJLNDzk3OTJmNDczDZTM5MmZZNmUW3OUY4MTcyN2FY3YjZlODE3MGjJmNDc3MzZlWNzlVODA3MlcOzOTJmODBEN2WQ3Mkk3MjcxMGmY0NzNlOGE\/P\"}],\"options\":\"MDPAyMzhiMzI4MF0E4NEI3MTgyTODQzMlQ0YTMRyNzM3Yzc5NzMM3YjMyM2MzMGjczN2M3OTczPN2IzMjRhMzIB4Mjc1ODY3NTXgyODM3NTMyODGQ\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
