import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Shipping extends StatefulWidget {
    final double? width;
    final double? height;

    Shipping({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _ShippingState createState() => new _ShippingState();
}

class _ShippingState extends State<Shipping> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"e83yhoLcTBs1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"18 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><line id=\"e83yhoLcTBs2\" x1=\"94\" y1=\"92\" x2=\"30\" y2=\"92\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"496\" stroke-dasharray=\"40,8,1,8,31,8\"\/><g id=\"e83yhoLcTBs3\"><g id=\"e83yhoLcTBs4\" transform=\"matrix(1 0 0 1 0.069927 1)\"><path id=\"e83yhoLcTBs5\" d=\"M30,70L30,51C30,48.790861,31.790861,47,34,47L66,47C68.209139,47,70,48.790861,70,51L70,74L34,74C31.790861,74,30,72.209139,30,70Z\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e83yhoLcTBs6\" d=\"M70,74L34,74L34,79C34,81.209139,35.790861,83,38,83L42.81,83C43.883393,81.149587,45.860794,80.010631,48,80.010631C50.139206,80.010631,52.116607,81.149587,53.19,83L74.81,83C75.883393,81.149587,77.860794,80.010631,80,80.010631C82.139206,80.010631,84.116607,81.149587,85.19,83L90,83C92.209139,83,94,81.209139,94,79L94,75L94,75C94.000789,74.377659,93.853392,73.764074,93.57,73.21L85.57,59.21C84.893356,57.85779,83.512056,57.002699,82,57L70,57Z\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><polyline id=\"e83yhoLcTBs7\" points=\"85,71 80.69,71 78,57\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"e83yhoLcTBs8\" d=\"M77,69L61,69\" transform=\"matrix(1 0 0 1 -40 0)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e83yhoLcTBs9\" d=\"M85,70L69,70\" transform=\"matrix(1 0 0 1 -40 -8)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e83yhoLcTBs10\" d=\"M77,71L61,71\" transform=\"matrix(1 0 0 1 -40 -16)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e83yhoLcTBs11\" r=\"6\" transform=\"matrix(1 0 0 1 48 86)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e83yhoLcTBs12\" r=\"6\" transform=\"matrix(1 0 0 1 80 86)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e83yhoLcTBs1\",\"animations\":[{\"elements\":{\"e83yhoLcTBs2\":{\"stroke-dashoffset\":[{\"t\":0,\"v\":496},{\"t\":1000,\"v\":400}]},\"e83yhoLcTBs3\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-92}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":63,\"y\":92,\"type\":\"corner\"}},{\"t\":1000,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}}],\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":250,\"v\":{\"x\":1,\"y\":1.023079},\"e\":[0.42,0,0.58,1]},{\"t\":750,\"v\":{\"x\":1,\"y\":0.967894},\"e\":[0.42,0,1,1]},{\"t\":1000,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]}]}}},\"e83yhoLcTBs4\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-64}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":62,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e83yhoLcTBs8\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":36.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e83yhoLcTBs9\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e83yhoLcTBs10\":{\"transform\":{\"data\":{\"t\":{\"x\":-68.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":28.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":28.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}}},\"s\":\"MDBA1MzhlMzU3NXzg4ODU3NDg3HN2M4MjgxRjME1NGQ0NDQzNDVM0MzNmMzU3NDzdjODU3ODc2OODc3YzgyODEOzNTRkNDQzZjMM1N2M4Nzc4OGDVENzRHODc3EYzgyTDgxSjgI2MzU0ZDQzM2EYzNTc5N2M3ZPjdmUzM1NGQ0ONDNmMzU3NFAN3Zjg3Nzg4NTHgxNzRZODc3OCDM1NGQ3OTc0NN2Y4Njc4M2YAzNUE4NjgzNzAg3ODc3RkszNRTRkNDQ5MA|\"}],\"options\":\"MDQAyMjljNDM5NNDk1ODI5Mzk1FNDM1YjQzODQB4ZFU4YTg0OGNM0MzRkNDM4NWDhkOGFIODQ4EYzQzNWI0MzgJ3OTM4Njg2OWJI4NjQzOWU\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
