import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Star extends StatefulWidget {
    final double? width;
    final double? height;

    Star({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _StarState createState() => new _StarState();
}

class _StarState extends State<Star> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eUNCJgmlxoa1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eUNCJgmlxoa2\" mask=\"url(#eUNCJgmlxoa5)\"><polygon id=\"eUNCJgmlxoa3\" points=\"0,-29.589155 8.610584,-12.142207 27.864435,-9.344458 13.932217,4.236097 17.221168,23.412149 0,14.358445 -17.221168,23.412149 -13.932217,4.236097 -27.864435,-9.344458 -8.610584,-12.142207 0,-29.589155\" transform=\"matrix(0.9 0 0 0.9 64 64.85306)\" fill=\"rgb(255,233,141)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><path id=\"eUNCJgmlxoa4\" d=\"M108.828,42.71175C99.383023,35.726942,90.059135,42.71175,90.059135,42.71175C90.059135,42.71175,79.887621,49.696557,70.442644,42.71175C60.997667,35.726942,51.67378,42.71175,51.67378,42.71175C51.67378,42.71175,41.502266,49.696557,32.057289,42.71175C22.612312,35.726942,13.288424,42.71175,13.288424,42.71175C13.288424,42.71175,3.116911,49.696557,-6.328066,42.71175C-15.773043,35.726942,-25.096931,42.71175,-25.096931,42.71175L-25.096931,80.38L128.44449,80.38L128.44449,42.71175C128.44449,42.71175,118.272977,49.691485,108.828,42.71175Z\" transform=\"matrix(1.292474 0 0 1.292474 46.417751 31.504037)\" fill=\"rgb(255,212,29)\" stroke=\"none\" stroke-width=\"1\"\/><mask id=\"eUNCJgmlxoa5\" mask-type=\"luminance\"><polygon id=\"eUNCJgmlxoa6\" points=\"0,-29.589155 8.610584,-12.142207 27.864435,-9.344458 13.932217,4.236097 17.221168,23.412149 0,14.358445 -17.221168,23.412149 -13.932217,4.236097 -27.864435,-9.344458 -8.610584,-12.142207 0,-29.589155\" transform=\"matrix(0.9 0 0 0.9 64 64.85306)\" fill=\"rgb(255,255,255)\" stroke=\"rgb(255,255,255)\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><\/mask><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eUNCJgmlxoa1\",\"animations\":[{\"elements\":{\"eUNCJgmlxoa3\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64.85306,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":0.9,\"y\":0.9}},{\"t\":1000,\"v\":{\"x\":1,\"y\":1}}]}}},\"eUNCJgmlxoa4\":{\"transform\":{\"data\":{\"s\":{\"x\":1.292474,\"y\":1.292474},\"t\":{\"x\":-50,\"y\":-60}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":111.041451,\"y\":109.052477,\"type\":\"corner\"}},{\"t\":1000,\"v\":{\"x\":0.404723,\"y\":61.738638,\"type\":\"corner\"}}]}}},\"eUNCJgmlxoa6\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64.85306,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":0.9,\"y\":0.9}},{\"t\":1000,\"v\":{\"x\":1,\"y\":1}}]}}}},\"s\":\"MDJA1M2M3NmVJYHjBEYzFiZWFkHYzBiNVZiYmJJhNmU4NjdkN2LM3Y0s3Yzc4NGmVOYjBOYjViPZWIxYWZjMEVWiNWJiYmE2ZTBg2N2Q3ODZlYHjVjMGIxYmVhQZGMwYjViYlRWiYWJmNmU4NjRdkNzhUNmViMRmI1YjhCYjg2WZTg2N2Q3ODZWlYWRiOGMwYjRFiZWJhYWRjMHGIxSjZlODZiAMmFkYjhiZmIUxNzhTNmViZmDJjYjFQYjFiMIDZlODZIN2RjIOQ|\"}],\"options\":\"MDGAyMzljNDM5NQDk1ODI5Mzk1DNDM1YjQzVjgC0OGQ4YTg0RjJhjRjQzSzRkNPDM4NEg4ZDhhPODQ4YzQzSTVAiNDNZOTM4NjTk3ODY5Mzk0OKDY0MzllTw|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
