import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Support extends StatefulWidget {
    final double? width;
    final double? height;

    Support({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _SupportState createState() => new _SupportState();
}

class _SupportState extends State<Support> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"en2G3IwQiPM1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"en2G3IwQiPM2\"><path id=\"en2G3IwQiPM3\" d=\"M42,56C42,43.849736,51.849736,34,64,34C76.150264,34,86,43.849736,86,56\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"en2G3IwQiPM4\" d=\"M41,77C37.686292,77,35,74.313708,35,71L35,65C35,61.686292,37.686292,59,41,59L42,59C43.148752,59,44.08,59.931248,44.08,61.08L44.08,74.92C44.08,76.068752,43.148752,77,42,77Z\" transform=\"matrix(1 0 0 1 0 -3)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"en2G3IwQiPM5\" d=\"M87,77C90.313708,77,93,74.313708,93,71L93,65C93,61.686292,90.313708,59,87,59L86,59C84.851248,59,83.92,59.931248,83.92,61.08L83.92,74.92C83.92,76.068752,84.851248,77,86,77Z\" transform=\"matrix(1 0 0 1 0 -3)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"en2G3IwQiPM6\" d=\"M68,79C77.19,79,84.86,70.834828,86.62,60.011226\" transform=\"matrix(1 0 0 1 0 14)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"en2G3IwQiPM7\" x1=\"68\" y1=\"79\" x2=\"64\" y2=\"79\" transform=\"matrix(1 0 0 1 0 14)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"6\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><g id=\"en2G3IwQiPM8\"><circle id=\"en2G3IwQiPM9\" r=\"20\" transform=\"matrix(1 0 0 1 64 65)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><g id=\"en2G3IwQiPM10\" transform=\"matrix(1 0 0 1 0 0.000002)\"><path id=\"en2G3IwQiPM11\" d=\"M10.5,0C10.5,5.79899,5.79899,10.5,0,10.5\" transform=\"matrix(0.707107 0.707107 -0.707107 0.707107 64 65)\" opacity=\"0\" fill=\"none\" fill-opacity=\"0.5\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"24.75\" stroke-dasharray=\"0,16.5\"\/><circle id=\"en2G3IwQiPM12\" r=\"1\" transform=\"matrix(1.5 0 0 0 56 62.00962)\" opacity=\"0\" fill=\"rgb(0,162,255)\" fill-opacity=\"0.5\" stroke=\"rgb(0,162,255)\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"en2G3IwQiPM13\" r=\"1\" transform=\"matrix(1.5 0 0 0 72 62.00962)\" opacity=\"0\" fill=\"rgb(0,162,255)\" fill-opacity=\"0.5\" stroke=\"rgb(0,162,255)\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"en2G3IwQiPM1\",\"animations\":[{\"elements\":{\"en2G3IwQiPM2\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-65}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}}]}}},\"en2G3IwQiPM8\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-65}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}}]}}},\"en2G3IwQiPM10\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-64.999998}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}}]}}},\"en2G3IwQiPM11\":{\"opacity\":[{\"t\":90,\"v\":0},{\"t\":100,\"v\":1}],\"stroke-dashoffset\":[{\"t\":100,\"v\":24.75,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":33}],\"stroke-dasharray\":[{\"t\":100,\"v\":[0,16.5],\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":[16.5,0]}]},\"en2G3IwQiPM12\":{\"transform\":{\"data\":{\"o\":{\"x\":56,\"y\":62.00962,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":{\"x\":1,\"y\":1}},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1}}]}},\"opacity\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]}]},\"en2G3IwQiPM13\":{\"transform\":{\"data\":{\"o\":{\"x\":72,\"y\":62.00962,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":{\"x\":1,\"y\":1}},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1}}]}},\"opacity\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]}]}},\"s\":\"MDRA1M2I3T0s1ZBWEwYjFHYWU5IZGIwR2E1YWJLhYTVlNzY2ZDCZjNmM2YzY4NAWVhMGE1YWVhBMTlmYjBhNWFXiYWE1ZTc2NmMQ2ODVlYTViMNGExYWU5ZGIwDYTVIYWJhYWFDmNWU3NjZkNjBg1ZWEyYTVhOYGE4NWU3NjZkENjg1ZTlkYThFiMGExYWVhYTUlkYjBhMTVlNJzZhMjlkYThhDZmExTjY4NWVALYWZhY2ExYTOFNYTA1ZTc2NYmRiOUw\/\"}],\"options\":\"MDXAyMzkwMzc4OEDg5NzY4Nzg5VMzc0ZjM3NzgI4MTdlNzg4MENIzNzQxMzc3OFDgxN2U3ODgwFMzc0ZjM3ODcN3YUk4YjdhODNc4ODdhMzc5MElk\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
