import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"e6Yt3BifpvV1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e6Yt3BifpvV2\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"e6Yt3BifpvV3\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 71)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"e6Yt3BifpvV4\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 78)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"e6Yt3BifpvV5\" x1=\"45\" y1=\"87\" x2=\"83\" y2=\"87\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"7,3.3\"\/><line id=\"e6Yt3BifpvV6\" x1=\"45\" y1=\"94\" x2=\"67\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"10,2\"\/><\/g><g id=\"e6Yt3BifpvV7\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"e6Yt3BifpvV8\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 41)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"3.1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"e6Yt3BifpvV9\" x1=\"41\" y1=\"52\" x2=\"87\" y2=\"52\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\"\/><rect id=\"e6Yt3BifpvV10\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 62)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e6Yt3BifpvV11\" r=\"1\" transform=\"matrix(1 0 0 1 78 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e6Yt3BifpvV12\" r=\"1\" transform=\"matrix(1 0 0 1 73 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e6Yt3BifpvV1\",\"animations\":[{\"elements\":{\"e6Yt3BifpvV2\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12}]}}},\"e6Yt3BifpvV7\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"e6Yt3BifpvV8\":{\"stroke-width\":[{\"t\":0,\"v\":3.1,\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":4}]}},\"s\":\"MDBA1M2I4NWZhMUWIyYWY5ZWIxAYTZhY2FiNWYX3N0s2ZTZkNmYQ2ZDY5NWZhMUVJhNmFmYTJhBMGIxYTZLYWNHhYjVmNzc2ZTBY5NWZhNmIxYGTJhZkw5ZVJiQMWE2YWNhYmIFwNWY3NzZlNjOk1ZmEzYTZPYQTlhOTVmNzc2NZTY5NWY5ZWEG5SWIxYTJhZmXFiOWViMWEyNYWY3N2EzOWVhMOWIwYTI2OTVPmYjBhZGEyYTVJMYTE1Zjc3QBjZlYmE\/\"}],\"options\":\"MDFAyMzk1VTNjOTGRBOGU3YjhjKOGUzYzU0M2MA3ZDg2ODM3ZDEg1M2M0NjNjWSTdkODY4MzdkCODUzYzU0M2MI4YzdmOTA3ZjGhjOGQ3ZjNjOLTc\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
