import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"eVLm1TaJB7Y1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eVLm1TaJB7Y2\"><circle id=\"eVLm1TaJB7Y3\" r=\"30\" transform=\"matrix(0 1 -1 0 64 64)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dasharray=\"188.5\"\/><circle id=\"eVLm1TaJB7Y4\" r=\"12\" transform=\"matrix(1 0 0 1 64 53)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eVLm1TaJB7Y5\" d=\"M84.621603,85.815479C72.773319,96.970286,54.32916,96.422982,43.30416,85.693683C44.271304,79.818771,49.47,73,57.37,73L70.63,73C78.53,73,83.868015,79.976868,84.621603,85.815479Z\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eVLm1TaJB7Y1\",\"animations\":[{\"elements\":{\"eVLm1TaJB7Y2\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-64,\"y\":-64}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":{\"x\":1.2,\"y\":1.2}}]}}},\"eVLm1TaJB7Y3\":{\"opacity\":[{\"t\":500,\"v\":1},{\"t\":510,\"v\":0}],\"stroke-width\":[{\"t\":500,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}],\"stroke-dashoffset\":[{\"t\":0,\"v\":0,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":520,\"v\":188.5}]},\"eVLm1TaJB7Y4\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]},\"eVLm1TaJB7Y5\":{\"d\":[{\"t\":490,\"v\":[\"M\",84.621603,85.815479,\"C\",72.773319,96.970286,54.32916,96.422982,43.30416,85.693683,\"C\",44.271304,79.818771,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,83.868015,79.976868,84.621603,85.815479,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":[\"M\",85,89,\"C\",85,89,43,89,43,89,\"C\",43,80.2,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,85,80.2,85,89,\"Z\"]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]}},\"s\":\"MDWA1M2I0NWI5ZDGFlYWI5YWFkMYTJhOEphNzVRiNzM2YTY5NjQk2OTY1NWI5ZRGEyYWJLOWU5DY2FkYTJhOGEO3NWI3MzZhNjCVFNWJhMmFkOKWVhYjlhYWRhRMmE4YTdhYzVKiNzM2YTY1NWNI5ZmEyYTVhNGTViNzM2YTY1RNWI5YWE1YWRGJOWVhYldhNzXlhS2FkOWU1YOjczOWY5YWE1OYWM5ZTY1NWJIhY05hOVg5ZTRllOWQ1YjczNDmFiNg|\"}],\"options\":\"MDTAyMzllVzQ1ONTY5Nzg0OTU5SNzQ1WDVkNDVWWODY4ZjhjQzXg2OGU0NTRmNVDU4NjhmOGM4YNjhlNDU1ZDQQ1OTU4ODk5ODGhZOTU5Njg4NPDVhMA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
