import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"e0Oj9ug8ZtG1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e0Oj9ug8ZtG2\"><polygon id=\"e0Oj9ug8ZtG3\" points=\"64,93 57.51,83.98 46.95,87.46 47.01,76.34 36.41,72.96 43,64 36.41,55.04 47.01,51.66 46.95,40.54 57.51,44.02 64,35 70.49,44.02 81.05,40.54 80.99,51.66 91.59,55.04 85,64 91.59,72.96 80.99,76.34 81.05,87.46 70.49,83.98 64,93\" fill=\"rgb(255,170,194)\" stroke=\"rgb(255,84,132)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-miterlimit=\"10\"\/><g id=\"e0Oj9ug8ZtG4\"><line id=\"e0Oj9ug8ZtG5\" x1=\"64\" y1=\"74\" x2=\"64\" y2=\"55\" transform=\"matrix(1 0 -0.509525 1 32.864391 0)\" fill=\"none\" stroke=\"rgb(255,84,132)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><path id=\"e0Oj9ug8ZtG6\" d=\"M61,56C61,53.790861,59.209139,52,57,52C54.790861,52,53,53.790861,53,56L53,60C53,62.209139,54.790861,64,57,64C59.209139,64,61,62.209139,61,60Z\" transform=\"matrix(0.75 0 0 0.666667 14.25 21.333312)\" fill=\"none\" stroke=\"rgb(255,84,132)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><path id=\"e0Oj9ug8ZtG7\" d=\"M77,68C77,65.790861,75.209139,64,73,64C70.790861,64,69,65.790861,69,68L69,72C69,74.209139,70.790861,76,73,76C75.209139,76,77,74.209139,77,72Z\" transform=\"matrix(0.75 0 0 0.666667 16.25 22.333312)\" fill=\"none\" stroke=\"rgb(255,84,132)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><\/g><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e0Oj9ug8ZtG1\",\"animations\":[{\"elements\":{\"e0Oj9ug8ZtG2\":{\"transform\":{\"data\":{\"o\":{\"x\":63.999998,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-63.999998,\"y\":-64}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":1.1,\"y\":1.1},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]}]}}},\"e0Oj9ug8ZtG3\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-64,\"y\":-64}},\"keys\":{\"r\":[{\"t\":0,\"v\":0},{\"t\":1000,\"v\":36}]}},\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":3.66,\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":4,\"e\":[0.42,0,0.58,1]}]}},\"s\":\"MDBA1M2IxNTg5YPWFiYTg5N2FhLOWZhNWE0QTUT4WDcwNjc2NjXY2NjY2MkM1OYDlhUTlmYTg5PYjk5YWE5ZkdXhNWE0NTg3MEYw2NzYyNTg5ZJmFhOWJhODk3TYWE5ZmE1VWEW0YTlMNTg3MDVY2NjI1ODljRSzlmYTJhMjU4TNzA2NzYyNTgG5N2EyYWE5YmXE4YTQ5N0dhYSTliNTg3MDljROTdhMmE5OWIG2MjU4YTlWYTEY5Yk45YlQ5YUTU4NzBMNjdNDYjM\/\"}],\"options\":\"MDQAxMDgyMjk3YGTdiNjg3OTdiOSzI5NDFPMjkN3Mzc2Njg2YjOI5ODQ\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
