import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Cards extends StatefulWidget {
    final double? width;
    final double? height;

    Cards({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _CardsState createState() => new _CardsState();
}

class _CardsState extends State<Cards> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"ed6cuLm5pPz1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"ed6cuLm5pPz2\" mask=\"url(#ed6cuLm5pPz8)\"><g id=\"ed6cuLm5pPz3\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"ed6cuLm5pPz4\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 71)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"ed6cuLm5pPz5\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 78)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ed6cuLm5pPz6\" x1=\"45\" y1=\"87\" x2=\"83\" y2=\"87\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"7,3.3\"\/><line id=\"ed6cuLm5pPz7\" x1=\"45\" y1=\"94\" x2=\"67\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"10,2\"\/><\/g><mask id=\"ed6cuLm5pPz8\" mask-type=\"luminance\"><g id=\"ed6cuLm5pPz9\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"ed6cuLm5pPz10\" width=\"50.466678\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38.766661 69)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><g id=\"ed6cuLm5pPz11\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"ed6cuLm5pPz12\" width=\"46\" height=\"30.000005\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 40.999996)\" fill=\"rgb(0,0,0)\" stroke=\"none\" stroke-width=\"1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/mask><\/g><g id=\"ed6cuLm5pPz13\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"ed6cuLm5pPz14\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 41)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"3.1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ed6cuLm5pPz15\" x1=\"41\" y1=\"52\" x2=\"87\" y2=\"52\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\"\/><rect id=\"ed6cuLm5pPz16\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 62)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"ed6cuLm5pPz17\" r=\"3\" transform=\"matrix(1 0 0 1 78 63)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"ed6cuLm5pPz18\" r=\"3\" transform=\"matrix(1 0 0 1 73 63)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"ed6cuLm5pPz1\",\"animations\":[{\"elements\":{\"ed6cuLm5pPz3\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12}]}}},\"ed6cuLm5pPz9\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12}]}}},\"ed6cuLm5pPz11\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"ed6cuLm5pPz13\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"ed6cuLm5pPz14\":{\"stroke-width\":[{\"t\":0,\"v\":3.1,\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":4}]}},\"s\":\"MDFA1MzgxMjhCNTmFON2I3ODY3QN2E2Zjc1NzQIyODQwUTM3MzSYzNlkzNjMyMDjg2YTZmNzg2BYjY5N2E2ZjcW1WTc0Mjg0MDUM3VzMyMjg2ZHjdhNmI3ODY3BN2FINmY3NTcO0NzkyODQwTzYM3MzIyOEw2YS0w2ZjcyNzJSWMjg0MDM3MzJTGMjg2NzcyTzMdhNmJONzg3NGDY3N2E2YjI4FNDA2YzY3NzIW3OTZiMzJUMjLg3OTc2NmI2YQjZhMjg0MFQzVNzgz\"}],\"options\":\"MDUAyMzk2M2RDODGU4ZjdjOGQ4AZjNkNTUzZDdSlODc4NDdlODJYzZFg0NzNkNV2U4Nzg0N2U4UNjNkWTU1M2QI4ZDgwOTFZODVA4ZDhlODAzZODk4\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
