import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Home extends StatefulWidget {
    final double? width;
    final double? height;

    Home({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _HomeState createState() => new _HomeState();
}

class _HomeState extends State<Home> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eUPC4K60SoV1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eUPC4K60SoV2\"><g id=\"eUPC4K60SoV3\"><path id=\"eUPC4K60SoV4\" d=\"M68,71L60,71C58.895431,71,58,71.895431,58,73L58,87L70,87L70,73C70,71.895431,69.104569,71,68,71Z\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"eUPC4K60SoV5\" d=\"M82,67.3L64,49.3L46,67.3L46,85C46,86.104569,46.895431,87,48,87L58,87L58,73C58,71.895431,58.895431,71,60,71L68,71C69.104569,71,70,71.895431,70,73L70,87L80,87C81.104569,87,82,86.104569,82,85L82,67.3Z\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><g id=\"eUPC4K60SoV6\" transform=\"matrix(1 0 0 1 0 16.388891)\" opacity=\"0\"><path id=\"eUPC4K60SoV7\" d=\"M0,6L0,0L6,0\" transform=\"matrix(0.707107 0.707107 -0.707107 0.707107 64 73.166666)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"3.33\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eUPC4K60SoV8\" d=\"M70,89.166667L70,101.666666\" transform=\"matrix(1 0 0 1 -6 -15.166667)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(84,131,204)\" stroke-width=\"3.33\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"eUPC4K60SoV9\" d=\"M88,63.33L88,63.33L66.8,42.13C66.049727,41.378892,65.031637,40.956853,63.97,40.956853C62.908363,40.956853,61.890273,41.378892,61.14,42.13L40,63.35L40,63.35C38.735051,64.748884,38.788941,66.893861,40.12254,68.22746C41.456139,69.561059,43.601116,69.614949,45,68.35L64,49.3L83,68.3C83.961356,69.239511,85.366058,69.565169,86.642747,69.144513C87.919437,68.723858,88.855424,67.626968,89.07,66.3C89.305166,65.187211,88.890826,64.037128,88,63.33Z\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eUPC4K60SoV1\",\"animations\":[{\"elements\":{\"eUPC4K60SoV2\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-64,\"y\":-64}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":{\"x\":1.2,\"y\":1.2}}]}}},\"eUPC4K60SoV3\":{\"transform\":{\"data\":{\"t\":{\"x\":-70,\"y\":-87}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":70,\"y\":87,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":71.666666,\"y\":86.166667,\"type\":\"corner\"}}],\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1}},{\"t\":500,\"v\":{\"x\":0,\"y\":1}}]}},\"opacity\":[{\"t\":0,\"v\":1,\"e\":[0,0,0.58,1]},{\"t\":200,\"v\":0}]},\"eUPC4K60SoV4\":{\"transform\":{\"data\":{\"o\":{\"x\":70,\"y\":87,\"type\":\"corner\"},\"t\":{\"x\":-70,\"y\":-87}},\"keys\":{\"k\":[{\"t\":0,\"v\":{\"x\":0,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":{\"x\":0,\"y\":25}}]}},\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":3.33}]},\"eUPC4K60SoV5\":{\"d\":[{\"t\":0,\"v\":[\"M\",82,67.3,\"L\",64,49.3,\"L\",46,67.3,\"L\",46,85,\"C\",46,86.104569,46.895431,87,48,87,\"L\",58,87,\"L\",58,73,\"C\",58,71.895431,58.895431,71,60,71,\"L\",68,71,\"C\",69.104569,71,70,71.895431,70,73,\"L\",70,87,\"L\",80,87,\"C\",81.104569,87,82,86.104569,82,85,\"L\",82,67.3,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":[\"M\",82,67.3,\"L\",64,49.3,\"L\",46,67.3,\"L\",46,85,\"C\",46,86.104569,46.895431,87,48,87,\"L\",55.166667,87,\"L\",55.166667,69.333334,\"C\",55.166667,68.228765,56.062098,67.333334,57.166667,67.333334,\"L\",70.833333,67.333334,\"C\",71.937902,67.333334,72.833333,68.228765,72.833333,69.333334,\"L\",72.833333,87,\"L\",80,87,\"C\",81.104569,87,82,86.104569,82,85,\"L\",82,67.3,\"Z\"]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":3.33}]},\"eUPC4K60SoV6\":{\"transform\":{\"data\":{\"t\":{\"x\":-64.000002,\"y\":-79.833332}},\"keys\":{\"o\":[{\"t\":300,\"v\":{\"x\":64.000002,\"y\":96.222223,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":700,\"v\":{\"x\":64.000002,\"y\":78.999999,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64.000002,\"y\":80.666665,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}},\"opacity\":[{\"t\":300,\"v\":0,\"e\":[0.42,0,0.58,1]},{\"t\":600,\"v\":1,\"e\":[0.42,0,0.58,1]}]},\"eUPC4K60SoV9\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.215,0.61,0.355,1]},{\"t\":500,\"v\":3.33}]}},\"s\":\"MDAA1Mzk1M2M3ZFThmOGM3YjhlAODM4OUw4ODNNjSzU0NGI0YTGRhNGE0NjNjNK2U4MzhjN2Y3FZDhlODM4OTgR4M2NUNTQ0YjDQ2M2M4M0Q4ZVTdmUjhjN2I4IZTgzODk4ODhIkM2M1NDRiNDXYzYzgwODM4NKjg2M2M1NDRiENDYzYzdiODYB4ZTdmOGM4ODNdiVDhlN2YzYBzU0ODA3Yjg2UOGRMN2Y0NjNAjOGQ4YTdmN2HY3ZTNjNTQ0YEjk3\"}],\"options\":\"MDLAyM2ExNDg5OITlhODc5OEQ5TYTQ4NjA0ODgV5OTI4ZlA4OTAkxNDhGNTI0ONDg5OTI4Zjg5POTE0ODYwNDgR5ODhiV1M5YzHhiOTg5OThiNBDhhMw|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
