import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Share extends StatefulWidget {
    final double? width;
    final double? height;

    Share({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _ShareState createState() => new _ShareState();
}

class _ShareState extends State<Share> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"ehPdA7vslin1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"ehPdA7vslin2\" mask=\"url(#ehPdA7vslin7)\"><g id=\"ehPdA7vslin3\" transform=\"matrix(1 0 0 1 0.000001 0.000001)\"><line id=\"ehPdA7vslin4\" x1=\"73.05\" y1=\"79.64\" x2=\"46\" y2=\"64\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ehPdA7vslin5\" x1=\"46\" y1=\"64\" x2=\"73.05\" y2=\"48.4\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><ellipse id=\"ehPdA7vslin6\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"16\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><mask id=\"ehPdA7vslin7\" mask-type=\"luminance\"><g id=\"ehPdA7vslin8\"><ellipse id=\"ehPdA7vslin9\" rx=\"18\" ry=\"18\" transform=\"matrix(2.542201 0 0 2.542201 64 64)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"16\" stroke-linecap=\"round\"\/><ellipse id=\"ehPdA7vslin10\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(0,0,0)\" stroke-width=\"8\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><\/g><\/mask><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"ehPdA7vslin1\",\"animations\":[{\"elements\":{\"ehPdA7vslin3\":{\"transform\":{\"data\":{\"o\":{\"x\":64.014817,\"y\":64.000033,\"type\":\"corner\"},\"t\":{\"x\":-64.014816,\"y\":-64.000032}},\"keys\":{\"r\":[{\"t\":200,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":90}]}}},\"ehPdA7vslin4\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-71.82}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":71.82,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64.025,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":104.954032}]}}},\"ehPdA7vslin5\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-56.2}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":56.2,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":74.969712}]}}},\"ehPdA7vslin6\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270}]}},\"stroke-width\":[{\"t\":0,\"v\":16,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":10}]},\"ehPdA7vslin10\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270}]}},\"stroke-width\":[{\"t\":0,\"v\":8,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":4}]}},\"s\":\"MDLA1MlU4NDJiNQmRBN2U3YjZhVN2Q3Mjc4NzcTyYjQzNDEzOTUM5MzUyYjZkNKzI3YkM2ZTZjBN2Q3Mjc4NzcFyYjQzM2FWQzFM1MmI3MkI3ZFDZlN2I2YTdkGNzI3ODc3VTdKjMmI0MzNhMzGUyYjZmNzJLNRzU3NTJiNDMzVYTM1MmI2YTcR1N2Q2ZTdiNzUc2YTdkNmUyYSjQzNmY2YTc1XN2M2ZTM1MmIY3Yzc5NmU2ZTVZkTTJiNDNRMM2E4Ng|\"}],\"options\":\"MDAAyMzg2MmQ3ZFTdmNmM3ZDdmPMmQ0NTJkNmUO3N0I3NDZlNzEYyZDM3SzJkNOmVVNzc3NDZlYNzYyZDQ1MmQE3ZDcwODE3MDYdkRzdlNzAyZGEU4OA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
