import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"ekM8w0nVK5o1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"ekM8w0nVK5o2\"><circle id=\"ekM8w0nVK5o3\" r=\"30\" transform=\"matrix(0 1 -1 0 64 64)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dasharray=\"188.5\"\/><circle id=\"ekM8w0nVK5o4\" r=\"12\" transform=\"matrix(1 0 0 1 64 53)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"ekM8w0nVK5o5\" d=\"M84.621603,85.815479C72.773319,96.970286,54.32916,96.422982,43.30416,85.693683C44.271304,79.818771,49.47,73,57.37,73L70.63,73C78.53,73,83.868015,79.976868,84.621603,85.815479Z\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"ekM8w0nVK5o1\",\"animations\":[{\"elements\":{\"ekM8w0nVK5o2\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-64,\"y\":-64}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":1.3,\"y\":1.3}}]}}},\"ekM8w0nVK5o3\":{\"opacity\":[{\"t\":500,\"v\":1},{\"t\":510,\"v\":0}],\"stroke-width\":[{\"t\":500,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}],\"stroke-dashoffset\":[{\"t\":0,\"v\":0,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":520,\"v\":188.5}]},\"ekM8w0nVK5o4\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]},\"ekM8w0nVK5o5\":{\"d\":[{\"t\":490,\"v\":[\"M\",84.621603,85.815479,\"C\",72.773319,96.970286,54.32916,96.422982,43.30416,85.693683,\"C\",44.271304,79.818771,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,83.868015,79.976868,84.621603,85.815479,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":[\"M\",85,89,\"C\",85,89,43,89,43,89,\"C\",43,80.2,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,85,80.2,85,89,\"Z\"]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]}},\"s\":\"MDMA1Mzg0WTJiNSmQ3ZTdiNmE3IZDcyNzg3NzJAiNDMzYTM5MzMkzOTM1MmI2ZKDcyN2I2ZTZjTN2Q3Mjc4NzcOyYjQzM2FCMzEUyYjcyN2Q2ZLUo3YjZhN2Q3NMjc4Nzc3YzJBiRzQzM2EzNTRJiNmY3Mjc1NXzUyYjQzM2FJPMzUyYjZhNzVIWN2Q2ZTdiNzKc2YTdkNmUyYXjQzNmY2YTc1XN2M2ZTM1MmIT3Yzc5NmVTNmXU2ZDJiNDMzYPTg2\"}],\"options\":\"MDDAyM2EyNDk5YLTliODhWOTk5UYjQ5NjE0OThUhOTM5MFk4YTMkyNDk1MzQ5ODGFWOTM5MDhhPUTkyNDk2MU0E0OTk5QjhjOWWROOGM5OTlhOSGNSNDlhNA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
