import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Cards extends StatefulWidget {
    final double? width;
    final double? height;

    Cards({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _CardsState createState() => new _CardsState();
}

class _CardsState extends State<Cards> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"euNK3x2yYXI1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"euNK3x2yYXI2\" mask=\"url(#euNK3x2yYXI8)\"><g id=\"euNK3x2yYXI3\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"euNK3x2yYXI4\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 69)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"euNK3x2yYXI5\" width=\"7.000008\" height=\"7.000008\" rx=\"2\" ry=\"2\" transform=\"matrix(1 0 0 1 45.000001 75.000001)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"euNK3x2yYXI6\" x1=\"43\" y1=\"87\" x2=\"85\" y2=\"87\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"8,3.3\"\/><line id=\"euNK3x2yYXI7\" x1=\"45\" y1=\"94\" x2=\"69\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"11,2\"\/><\/g><mask id=\"euNK3x2yYXI8\" mask-type=\"luminance\"><g id=\"euNK3x2yYXI9\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"euNK3x2yYXI10\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 69)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><g id=\"euNK3x2yYXI11\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"euNK3x2yYXI12\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 39)\" fill=\"rgb(0,0,0)\" stroke=\"rgb(0,0,0)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/mask><\/g><g id=\"euNK3x2yYXI13\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"euNK3x2yYXI14\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 39)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"euNK3x2yYXI15\" x1=\"41.53332\" y1=\"52\" x2=\"86.46668\" y2=\"52\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\"\/><rect id=\"euNK3x2yYXI16\" width=\"8\" height=\"8\" rx=\"3\" ry=\"3\" transform=\"matrix(1 0 0 1 44.23334 59)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"euNK3x2yYXI17\" r=\"4\" transform=\"matrix(1 0 0 1 79.76666 63)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"euNK3x2yYXI18\" r=\"4\" transform=\"matrix(1 0 0 1 73.76666 63)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"euNK3x2yYXI1\",\"animations\":[{\"elements\":{\"euNK3x2yYXI3\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":15}]}}},\"euNK3x2yYXI9\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":15}]}}},\"euNK3x2yYXI11\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"euNK3x2yYXI13\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}}},\"s\":\"MDKA1M2FlVDU1OETdhOGE1OTRhBNzljYTJhMTUN1NmQ2NDYzNjWM2MzVmNTU5NMzljYTU5ODk2TYTdUOWNhMmESxNTU2ZDY0SjWVmNTU5Y2E3ONThhNTk0YTc5LY2EyYTFhNjUT1NmQ2NDVmNTWVFOTk5YzlmOOWY1NTZkNjRPCNWY1NTk0OWZUhN1A5OGE1YTDE5NGE3OTg1NMTZkOTk5NDlmPYTY5OFE1ZjUT1YTZhMzk4OTIg5NzU1UTZkNQjRiMA|\"}],\"options\":\"MDKAyMzhiMzJRODDM4NDcxODJMPODQzMjRhMzIH3MzdjNzk3MzEdiMzIzYzMyNFzM3Yzc5NzNPJN2IzMjRhMzIA4Mjc1ODY3NTHgyQjgzNzUzMOjhk\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
