import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Gift extends StatefulWidget {
    final double? width;
    final double? height;

    Gift({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _GiftState createState() => new _GiftState();
}

class _GiftState extends State<Gift> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"emrI5UFTn8S1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><path id=\"emrI5UFTn8S2\" d=\"M41,61C41,61,41,83,41,83C41,85.209139,42.790861,87,45,87L83,87C85.209139,87,87,85.209139,87,83C87,83,87,61,87,61L41,61Z\" transform=\"matrix(1 0 0 1 0 1)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-miterlimit=\"10\"\/><path id=\"emrI5UFTn8S3\" d=\"M62,63L62,85C62,85,66,85,66,85L66,63Z\" transform=\"matrix(1 0 0 1 0 1)\" fill=\"rgb(255,84,132)\" fill-opacity=\"0.5\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><g id=\"emrI5UFTn8S4\" transform=\"matrix(1 0 0 1 0 0.000001)\"><path id=\"emrI5UFTn8S5\" d=\"M87,46C87,46,41,46,41,46C38.790861,46,37,47.790861,37,50L37,59C37,59,91,59,91,59L91,50C91,47.790861,89.209139,46,87,46Z\" transform=\"matrix(1 0 0 1 0 1)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linejoin=\"round\"\/><g id=\"emrI5UFTn8S6\" transform=\"matrix(1 0 0 1 0 0.000001)\"><path id=\"emrI5UFTn8S7\" d=\"M83,36C82.08,32,77.07,30.72,73.65,32.93C69.73,35.47,66,39.972599,66,46C69.21,43.32,74.15,44.58,78,43.74C81.406331,42.825899,83.567151,39.48095,83,36Z\" transform=\"matrix(1 0 0 1 0 1)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><path id=\"emrI5UFTn8S8\" d=\"M54.35,32.93C50.93,30.72,45.92,32,45,36C44.432849,39.48095,46.593669,42.825899,50,43.74C53.89,44.58,58.83,43.32,62,46C62,40.009665,58.27,35.47,54.35,32.93Z\" transform=\"matrix(1 0 0 1 0 1)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><path id=\"emrI5UFTn8S9\" d=\"M66,57L66,44C66,42.895431,65.104569,42,64,42C62.895431,42,62,42.895431,62,44L62,57Z\" transform=\"matrix(1 0 0 1 0 1)\" fill=\"rgb(255,84,132)\" fill-opacity=\"0.5\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><\/g><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"emrI5UFTn8S1\",\"animations\":[{\"elements\":{\"emrI5UFTn8S2\":{\"d\":[{\"t\":0,\"v\":[\"M\",41,61,\"C\",41,61,41,83,41,83,\"C\",41,85.209139,42.790861,87,45,87,\"L\",83,87,\"C\",85.209139,87,87,85.209139,87,83,\"C\",87,83,87,61,87,61,\"L\",41,61,\"Z\"],\"e\":[0.215,0.61,0.355,0.95]},{\"t\":400,\"v\":[\"M\",40.062453,64.812642,\"C\",38.795271,69.676167,37.787918,79.695872,39.6314,83.466579,\"C\",40.541089,85.465248,42.790861,87,45,87,\"L\",83,87,\"C\",85.209139,87,87.480984,85.514811,88.385326,83.51353,\"C\",90.201924,79.770597,88.992772,70.010189,87.937547,64.812642,\"L\",40.062453,64.812642,\"Z\"]},{\"t\":600,\"v\":[\"M\",40,65,\"C\",38.648407,70.1875,37.573951,79.475774,39.540233,83.497659,\"C\",40.510519,85.482308,42.790861,87,45,87,\"L\",83,87,\"C\",85.209139,87,87.513024,85.535172,88.477607,83.547738,\"C\",90.415214,79.555476,89.125516,70.543772,88,65,\"L\",40,65,\"Z\"],\"e\":[0.1,0,0.8,0.995]},{\"t\":660,\"v\":[\"M\",41,61,\"C\",41,61,41,83,41,83,\"C\",41,85.209139,42.790861,87,45,87,\"L\",83,87,\"C\",85.209139,87,87,85.209139,87,83,\"C\",87,83,87,61,87,61,\"L\",41,61,\"Z\"]},{\"t\":930,\"v\":[\"M\",41,61,\"C\",41,61,41,83,41,83,\"C\",41,85.209139,42.790861,87,45,87,\"L\",83,87,\"C\",85.209139,87,87,85.209139,87,83,\"C\",87,83,87,61,87,61,\"L\",41,61,\"Z\"],\"e\":[0,0,0.58,1]},{\"t\":1000,\"v\":[\"M\",40,63,\"C\",40,63,40,83,40,83,\"C\",40,85.209139,41.790861,87,44,87,\"L\",84,87,\"C\",86.209139,87,88,85.209139,88,83,\"C\",88,83,88,63,88,63,\"L\",40,63,\"Z\"],\"e\":[0.42,0,1,1]},{\"t\":1200,\"v\":[\"M\",41,61,\"C\",41,61,41,83,41,83,\"C\",41,85.209139,42.790861,87,45,87,\"L\",83,87,\"C\",85.209139,87,87,85.209139,87,83,\"C\",87,83,87,61,87,61,\"L\",41,61,\"Z\"],\"e\":[0.215,0.61,0.355,0.95]}]},\"emrI5UFTn8S3\":{\"d\":[{\"t\":0,\"v\":[\"M\",62,63,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,63,\"Z\"],\"e\":[0.215,0.61,0.355,0.95]},{\"t\":400,\"v\":[\"M\",62,66.884248,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,66.884248,\"Z\"]},{\"t\":600,\"v\":[\"M\",62,67,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,67,\"Z\"]},{\"t\":660,\"v\":[\"M\",62,63,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,63,\"Z\"],\"e\":[0.39,0.575,0.565,1]},{\"t\":930,\"v\":[\"M\",62,63,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,63,\"Z\"],\"e\":[0,0,0.58,1]},{\"t\":1000,\"v\":[\"M\",62,65,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,65,\"Z\"],\"e\":[0.42,0,1,1]},{\"t\":1200,\"v\":[\"M\",62,63,\"L\",62,85,\"C\",62,85,66,85,66,85,\"L\",66,63,\"Z\"],\"e\":[0.215,0.61,0.355,0.95]}]},\"emrI5UFTn8S4\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-53}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":53.000001,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,0.95]},{\"t\":400,\"v\":{\"x\":64,\"y\":56.75019,\"type\":\"corner\"}},{\"t\":600,\"v\":{\"x\":64,\"y\":57.000001,\"type\":\"corner\",\"end\":{\"x\":63.225804,\"y\":52.953863}},\"e\":[0,0,0.58,1]},{\"t\":700,\"v\":{\"x\":64.188001,\"y\":40.000001,\"type\":\"corner\",\"end\":{\"x\":63.413805,\"y\":35.953863}},\"e\":[0.5,0,1,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":55.000001,\"type\":\"corner\"},\"e\":[0.42,0,1,1]},{\"t\":1200,\"v\":{\"x\":64,\"y\":53.000001,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]}],\"r\":[{\"t\":600,\"v\":0,\"e\":[0,0,0.58,1]},{\"t\":660,\"v\":5.542988,\"e\":[0.42,0,0.58,1]},{\"t\":740,\"v\":-0.771052,\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":0}]}}},\"emrI5UFTn8S5\":{\"d\":[{\"t\":600,\"v\":[\"M\",87,46,\"C\",87,46,41,46,41,46,\"C\",38.790861,46,37,47.790861,37,50,\"L\",37,59,\"C\",37,59,91,59,91,59,\"L\",91,50,\"C\",91,47.790861,89.209139,46,87,46,\"Z\"]},{\"t\":700,\"v\":[\"M\",86.967644,45.787696,\"C\",74.602735,43.602296,52.648761,43.845896,40.967644,45.787696,\"C\",38.788408,46.149959,37,47.790861,37,50,\"L\",36.916738,59.001734,\"C\",50.991901,56.90001,76.987308,56.94824,90.916738,59.001734,\"L\",91,50,\"C\",91,47.790861,89.143067,46.172185,86.967644,45.787696,\"Z\"],\"e\":[0.6,0,1,1]},{\"t\":800,\"v\":[\"M\",87,46,\"C\",87,46,41,46,41,46,\"C\",38.790861,46,37,47.790861,37,50,\"L\",37,59,\"C\",37,59,91,59,91,59,\"L\",91,50,\"C\",91,47.790861,89.209139,46,87,46,\"Z\"],\"e\":[0.1,0,0.8,0.995]}]},\"emrI5UFTn8S6\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-45.927294}},\"keys\":{\"o\":[{\"t\":600,\"v\":{\"x\":64,\"y\":45.927295,\"type\":\"corner\"},\"e\":[0.1,0,0.8,0.995]},{\"t\":700,\"v\":{\"x\":64,\"y\":43.927295,\"type\":\"corner\"}},{\"t\":750,\"v\":{\"x\":64,\"y\":43.927295,\"type\":\"corner\"}},{\"t\":1000,\"v\":{\"x\":64,\"y\":46.927295,\"type\":\"corner\"},\"e\":[0.42,0,1,1]},{\"t\":1200,\"v\":{\"x\":64,\"y\":45.927295,\"type\":\"corner\"}}]}}},\"emrI5UFTn8S7\":{\"transform\":{\"data\":{\"o\":{\"x\":66,\"y\":47,\"type\":\"corner\"},\"t\":{\"x\":-66,\"y\":-46}},\"keys\":{\"r\":[{\"t\":700,\"v\":0,\"e\":[0.8,-0.8,0.735,0.045]},{\"t\":1000,\"v\":9,\"e\":[0.6,0,1,1]},{\"t\":1200,\"v\":0}]}}},\"emrI5UFTn8S8\":{\"transform\":{\"data\":{\"o\":{\"x\":61.887077,\"y\":47.003191,\"type\":\"corner\"},\"t\":{\"x\":-61.887077,\"y\":-46.003191}},\"keys\":{\"r\":[{\"t\":700,\"v\":0,\"e\":[0.8,-0.8,0.735,0.045]},{\"t\":1000,\"v\":-9,\"e\":[0.6,0,1,1]},{\"t\":1200,\"v\":0}]}}},\"emrI5UFTn8S9\":{\"d\":[{\"t\":600,\"v\":[\"M\",66,57,\"L\",66,44,\"C\",66,42.895431,65.104569,42,64,42,\"C\",62.895431,42,62,42.895431,62,44,\"L\",62,57,\"Z\"],\"e\":[0.1,0,0.8,0.995]},{\"t\":700,\"v\":[\"M\",66,57.399998,\"L\",66,44,\"C\",66,42.895431,65.104569,42,64,42,\"C\",62.895431,42,62,42.895431,62,44,\"L\",62,57.399998,\"Z\"]},{\"t\":800,\"v\":[\"M\",66,58.346705,\"L\",66,44,\"C\",66,42.895431,65.104569,42,64,42,\"C\",62.895431,42,62,42.895431,62,44,\"L\",62,58.346705,\"Z\"]},{\"t\":1000,\"v\":[\"M\",66,56,\"L\",66,44,\"C\",66,42.895431,65.104569,42,64,42,\"C\",62.895431,42,62,42.895431,62,44,\"L\",62,56,\"Z\"]},{\"t\":1200,\"v\":[\"M\",66,57,\"L\",66,44,\"C\",66,42.895431,65.104569,42,64,42,\"C\",62.895431,42,62,42.895431,62,44,\"L\",62,57,\"Z\"],\"e\":[0.1,0,0.8,0.995]}]}},\"s\":\"MDXA1M2M2NmRhZMmMwYmRhY2JmHYjRiYWI5VDZNkODU3YzdkN2XI3Ykg3NzZkYKWZiNEliZGIwJYWViZmI0YmFYiOTZkTjg1WTMdjNzc2ZGI0YHmZiMGJkYWNKFYmZiNGJhYjlLUYmU2ZDg1TzOdjNzc2ZGIxYQjRiN2I3NmQ4TNTdjNzc2ZGFFjYjdiZmIwYmKRiOWFjYmZiMWDZkODViMVZhAY09iN2JlYjAM3NzZkYmViYmNIwYjBhZjZkONDU3Y2M4\"}],\"options\":\"MDDAyM2EyVDQ5ONWE5Yjg4OTlKTOWI0OUM2MTQE5OGE5MzkwOGAFFOTI0OTUzNJDk4YTkzOTA4GYTkyUjQ5NjEW0OTk5OGM5YTKliODhVOTk5YWjQ5YTRI\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
