import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Profile extends StatefulWidget {
    final double? width;
    final double? height;

    Profile({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _ProfileState createState() => new _ProfileState();
}

class _ProfileState extends State<Profile> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eVW9zqar1p21\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eVW9zqar1p22\"><circle id=\"eVW9zqar1p23\" r=\"15\" transform=\"matrix(0 1 -1 0 64 64)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"30\" stroke-linejoin=\"round\" stroke-dasharray=\"94.25\"\/><circle id=\"eVW9zqar1p24\" r=\"12\" transform=\"matrix(1 0 0 1 64 53)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eVW9zqar1p25\" d=\"M84.621603,85.815479C72.773319,96.970286,54.32916,96.422982,43.30416,85.693683C44.271304,79.818771,49.47,73,57.37,73L70.63,73C78.53,73,83.868015,79.976868,84.621603,85.815479Z\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eVW9zqar1p21\",\"animations\":[{\"elements\":{\"eVW9zqar1p22\":{\"transform\":{\"data\":{\"o\":{\"x\":63.962883,\"y\":67.481518,\"type\":\"corner\"},\"t\":{\"x\":-63.962883,\"y\":-67.481518}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":1.3,\"y\":1.3}}]}}},\"eVW9zqar1p23\":{\"opacity\":[{\"t\":480,\"v\":1},{\"t\":510,\"v\":0}],\"stroke-dashoffset\":[{\"t\":0,\"v\":0,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":500,\"v\":94.25}]},\"eVW9zqar1p24\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]},\"eVW9zqar1p25\":{\"d\":[{\"t\":490,\"v\":[\"M\",84.621603,85.815479,\"C\",72.773319,96.970286,54.32916,96.422982,43.30416,85.693683,\"C\",44.271304,79.818771,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,83.868015,79.976868,84.621603,85.815479,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":[\"M\",85,89,\"C\",85,89,43,89,43,89,\"C\",43,80.2,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,85,80.2,85,89,\"Z\"]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]}},\"s\":\"MDMA1M2FkRzU0OETZhN0dFYTQ5HM2E2OWJhMWEXwNTQ2Y0k2MzWYyNjI2MjVlNTTQ5NjliRmE0POTc5NWE2OWJPhMWEwNTRONmYM2MzVlNTROOJWJhNjk3YTQ5DM2E2OWJhMWERwYTU1NDZjNjWM1ZUQ1NDk4OLWI5ZTllTzU0LNmNBUTYzSjVSlNTQ5MzllYTNY5N2E0YTA5MT1ZhNjk3NTQ2CY0w5ODkzOWVUhNTk3NWU1NGKE1YTI5Nzk3ONTY1NDZjNjNhQZg|\"}],\"options\":\"MDOAyMzgzMmE3YNjdjNjk3YTdjXMmFNNDIyYTZViNzQ3MUI2YjDczTjJhMzQyYNTZiNzQ3MTZiPNzMyYTQyMmEA3YTZkN2VJNmMQ3YTdiNmQyYGTg1\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
