import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Sale extends StatefulWidget {
    final double? width;
    final double? height;

    Sale({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _SaleState createState() => new _SaleState();
}

class _SaleState extends State<Sale> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eKm2TrwzNb31\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eKm2TrwzNb32\"><polygon id=\"eKm2TrwzNb33\" points=\"64,93 57.51,83.98 46.95,87.46 47.01,76.34 36.41,72.96 43,64 36.41,55.04 47.01,51.66 46.95,40.54 57.51,44.02 64,35 70.49,44.02 81.05,40.54 80.99,51.66 91.59,55.04 85,64 91.59,72.96 80.99,76.34 81.05,87.46 70.49,83.98 64,93\" fill=\"rgb(84,131,204)\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-miterlimit=\"10\"\/><g id=\"eKm2TrwzNb34\"><line id=\"eKm2TrwzNb35\" x1=\"64\" y1=\"74\" x2=\"64\" y2=\"55\" transform=\"matrix(1 0 -0.509525 1 32.864391 0)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><path id=\"eKm2TrwzNb36\" d=\"M61,56C61,53.790861,59.209139,52,57,52C54.790861,52,53,53.790861,53,56L53,60C53,62.209139,54.790861,64,57,64C59.209139,64,61,62.209139,61,60Z\" transform=\"matrix(0.75 0 0 0.666667 14.25 21.333312)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><path id=\"eKm2TrwzNb37\" d=\"M77,68C77,65.790861,75.209139,64,73,64C70.790861,64,69,65.790861,69,68L69,72C69,74.209139,70.790861,76,73,76C75.209139,76,77,74.209139,77,72Z\" transform=\"matrix(0.75 0 0 0.666667 16.25 22.333312)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-miterlimit=\"10\"\/><\/g><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eKm2TrwzNb31\",\"animations\":[{\"elements\":{\"eKm2TrwzNb32\":{\"transform\":{\"data\":{\"o\":{\"x\":63.999998,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-63.999998,\"y\":-64}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":1.1,\"y\":1.1},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]}]}}},\"eKm2TrwzNb33\":{\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"t\":{\"x\":-64,\"y\":-64}},\"keys\":{\"r\":[{\"t\":0,\"v\":0},{\"t\":1000,\"v\":36}]}}}},\"s\":\"MDNA1M2E5NTA5MBmEzYTA4ZmEyPOTc5ZEg5YzUPwNjg1ZjVlNWBU1ZUw1YTUwUIDkyOTdhMDkzUOTFhMjk3QTlWkOWM1MDY4NWOY1YUs1MDk3YCTJLOTNhMDhmAYTI5NzlkOWNBhMUo1MDY4NWIU1YTUwSTk0OITc5YTlhVDUwGNjg1ZjVhNTAM4ZjlhYTI5M2BEwOWM4ZmEyORTM1MEE2ODk0TOGY5YWExOTMH1YTUwYTE5ZTTkzOTM5MjUwNQjg1ZmFi\"}],\"options\":\"MDTAyMjk2M2Q4ZLThmN2M4ZEo4QZjNkNTUzZDdPlODdEODRKN2XU4NjNkNDczZHDdlODc4NDdlMODYzZDU1M2QM4MThkSjgwODJA5NTgwM2Q5OYA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
