import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Share extends StatefulWidget {
    final double? width;
    final double? height;

    Share({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _ShareState createState() => new _ShareState();
}

class _ShareState extends State<Share> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"e9Wo3aY1zmO1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e9Wo3aY1zmO2\" transform=\"matrix(1 0 0 1 0.000001 0.000001)\"><line id=\"e9Wo3aY1zmO3\" x1=\"73.05\" y1=\"79.64\" x2=\"46\" y2=\"64\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"e9Wo3aY1zmO4\" x1=\"46\" y1=\"64\" x2=\"73.05\" y2=\"48.4\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><ellipse id=\"e9Wo3aY1zmO5\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"16\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e9Wo3aY1zmO1\",\"animations\":[{\"elements\":{\"e9Wo3aY1zmO2\":{\"transform\":{\"data\":{\"o\":{\"x\":64.014817,\"y\":64.000033,\"type\":\"corner\"},\"t\":{\"x\":-64.014816,\"y\":-64.000032}},\"keys\":{\"r\":[{\"t\":200,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":90}]}}},\"e9Wo3aY1zmO3\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-71.82}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":71.82,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64.025,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":104.954032}]}}},\"e9Wo3aY1zmO4\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-56.2}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":56.2,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":74.969712}]}}},\"e9Wo3aY1zmO5\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270}]}},\"stroke-width\":[{\"t\":0,\"v\":16,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":10}]}},\"s\":\"MDLA1MmE0NGI4ZHDllOWI4YTlkUOTI5ODk3TzRNiNjM2MTU5NTDk1NTRiOGQ5MWjliOGU4YzlkNOTI5ODk3NGJDHNjM1YTU1NGAJSOTI5ZDhlOIWI4YUM5ZDkyIOTg5NzljNGIW2MzVhNTU0YjQhmOTI5NTk1NPGJZNjM1YTU1BNGI4YTk1OWQT4ZTliOTc4YTBlkTDhlNGI2MBzhmOGE5NTljAOGU1NTRiRjlXjOTk4ZThlOGWQ0YjYzNWFhNDkc\/\"}],\"options\":\"MDUAyMzg5MzBOOUDE4MjZmODA4DMjMwNDgzMFAM3MTdhNzc3MTLc5MzAzYTMwNBzE3YUI3NzcxTNzkzMDQ4MzAL4MDczQzg0NzGNRODA4MTczMHzA4Yg|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
