import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Shipping extends StatefulWidget {
    final double? width;
    final double? height;

    Shipping({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _ShippingState createState() => new _ShippingState();
}

class _ShippingState extends State<Shipping> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"eVEzmUh4f231\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"18 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><line id=\"eVEzmUh4f232\" x1=\"94\" y1=\"92\" x2=\"30\" y2=\"92\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"496\" stroke-dasharray=\"40,8,1,8,31,8\"\/><g id=\"eVEzmUh4f233\"><g id=\"eVEzmUh4f234\" transform=\"matrix(1 0 0 1 0.069927 1)\"><path id=\"eVEzmUh4f235\" d=\"M73,73L33,73L33,80C33,82.209139,34.790861,84,37,84L42.81,84C43.883393,82.149587,45.860794,81.010631,48,81.010631C50.139206,81.010631,52.116607,82.149587,53.19,84L75.81,84C76.883393,82.149587,78.860794,81.010631,81,81.010631C83.139206,81.010631,85.116607,82.149587,86.19,84L91,84C93.209139,84,95,82.209139,95,80L95,74L95,74C95.000789,73.377659,94.853392,72.764074,94.57,72.21L86.57,58.21C85.893356,56.85779,84.512056,56.002699,83,56L73,56Z\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eVEzmUh4f236\" d=\"M29,70L29,50C29,47.790861,30.790861,46,33,46L69,46C71.209139,46,73,47.790861,73,50L73,74L33,74C30.790861,74,29,72.209139,29,70Z\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eVEzmUh4f237\" d=\"M79,57C81.436203,57,82.245156,56.42258,83.988119,59.095124Q85.731082,61.767668,91,71L80.69,71L79,57Z\" transform=\"matrix(1 0 0 1 0 2)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"eVEzmUh4f238\" d=\"M77,69L61,69\" transform=\"matrix(1 0 0 1 -40 -1)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eVEzmUh4f239\" d=\"M85,70L69,70\" transform=\"matrix(1 0 0 1 -40 -9)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eVEzmUh4f2310\" d=\"M77,71L61,71\" transform=\"matrix(1 0 0 1 -40 -17)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eVEzmUh4f2311\" r=\"6\" transform=\"matrix(1 0 0 1 47 86)\" fill=\"rgb(84,131,204)\" stroke=\"rgb(84,131,204)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eVEzmUh4f2312\" r=\"6\" transform=\"matrix(1 0 0 1 81 86)\" fill=\"rgb(84,131,204)\" stroke=\"rgb(84,131,204)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eVEzmUh4f231\",\"animations\":[{\"elements\":{\"eVEzmUh4f232\":{\"stroke-dashoffset\":[{\"t\":0,\"v\":496},{\"t\":1000,\"v\":400}]},\"eVEzmUh4f233\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-92}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":63,\"y\":92,\"type\":\"corner\"}},{\"t\":1000,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}}],\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":250,\"v\":{\"x\":1,\"y\":1.023079},\"e\":[0.42,0,0.58,1]},{\"t\":750,\"v\":{\"x\":1,\"y\":0.967894},\"e\":[0.42,0,1,1]},{\"t\":1000,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]}]}}},\"eVEzmUh4f234\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-64}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":62,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"eVEzmUh4f238\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":68,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":36.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":68,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"eVEzmUh4f239\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":60,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":60,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"eVEzmUh4f2310\":{\"transform\":{\"data\":{\"t\":{\"x\":-68.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":28.845,\"y\":52,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":28.845,\"y\":52,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}}},\"s\":\"MDDA1M2E3NGU5MCGExOWU4ZGEwJOTU5YjlhNGUY2NjVkNWNVNWCM1YzU4NGU5MGDk1OWVBOTE4KZmEwOTU5YjlWhNGU2NjVkNTVg0ZTk1YTBJOPTE5ZThkYTBLLOTU5YjlhOWYH0ZTY2NWM1ODTRlOTJVOTU5OMDk4NGU2NjVkNNTg0ZThkOThPhMDkxOWU5YTBhkYTA5MTRlUYTY2OTI4ZDk4EOWY5MTU4NGUU5ZjljOTE5MVWU5MDRlNjY1ZQGE5\"}],\"options\":\"MDWAxMDgyMjk3YTVE3YjY4Nzk3EYjI5NDEyOTcQzNzY2ODZiMjFk4NA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
