import 'package:webview_flutter/webview_flutter.dart';
import 'package:flutter/material.dart';

import 'dart:convert';
import 'dart:io' show Platform;
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:svgator_player_flutter/svgator_player_flutter.dart';

class Support extends StatefulWidget {
    final double? width;
    final double? height;

    Support({
        Key? key,
        this.width,
        this.height,
    }): super(key: key);

  @override
  _SupportState createState() => new _SupportState();
}

class _SupportState extends State<Support> {
  final _key = UniqueKey();

  @override
  Widget build(BuildContext context) {
    if (kIsWeb || (!Platform.isAndroid && !Platform.isIOS)) {
      return Text(
        "SVGator's Flutter animations run only on Android or iOS",
        textAlign: TextAlign.center,
      );
    } else {
      return Container(
        width: this.widget.width,
        height: this.widget.height,
        child: WebView(
                key: _key,
                javascriptMode: JavascriptMode.unrestricted,
                initialUrl: 'about:blank',
                onWebViewCreated: (WebViewController webViewController) {
                    _loadHtmlFromAssets(webViewController);
                },
            )
        );
    }
  }
  _loadHtmlFromAssets(webViewController) async {
    String Svg = "<svg id=\"e5A19wHJqMg1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e5A19wHJqMg2\"><circle id=\"e5A19wHJqMg3\" r=\"22\" transform=\"matrix(1 0 0 1 64 65)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><g id=\"e5A19wHJqMg4\" transform=\"matrix(1 0 0 1 0 0.000002)\"><path id=\"e5A19wHJqMg5\" d=\"M10.5,0C10.5,5.79899,5.79899,10.5,0,10.5\" transform=\"matrix(0.707107 0.707107 -0.707107 0.707107 64 65)\" opacity=\"0\" fill=\"none\" fill-opacity=\"0.5\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"24.75\" stroke-dasharray=\"0,16.5\"\/><circle id=\"e5A19wHJqMg6\" r=\"1.990378\" transform=\"matrix(1.5 0 0 0 56 62.00962)\" opacity=\"0\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e5A19wHJqMg7\" r=\"1.990378\" transform=\"matrix(1.5 0 0 0 72 62.00962)\" opacity=\"0\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/g><g id=\"e5A19wHJqMg8\"><path id=\"e5A19wHJqMg9\" d=\"M42,56C42,43.849736,51.849736,34,64,34C76.150264,34,86,43.849736,86,56\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e5A19wHJqMg10\" d=\"M41,77C37.686292,77,35,74.313708,35,71L35,65C35,61.686292,37.686292,59,41,59L41,59C42.148752,59,43.08,59.931248,43.08,61.08L43.08,74.92C43.08,76.068752,42.148752,77,41,77Z\" transform=\"matrix(1 0 0 1 0 -3)\" fill=\"rgb(169,193,229)\" stroke=\"rgb(169,193,229)\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e5A19wHJqMg11\" d=\"M87,77C90.313708,77,93,74.313708,93,71L93,65C93,61.686292,90.313708,59,87,59L87,59C85.851248,59,84.92,59.931248,84.92,61.08L84.92,74.92C84.92,76.068752,85.851248,77,87,77Z\" transform=\"matrix(1 0 0 1 0 -3)\" fill=\"rgb(169,193,229)\" stroke=\"rgb(169,193,229)\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e5A19wHJqMg12\" d=\"M68,79C77.19,79,84.86,70.834828,86.62,60.011226\" transform=\"matrix(1 0 0 1 0 14)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"e5A19wHJqMg13\" x1=\"68\" y1=\"79\" x2=\"64\" y2=\"79\" transform=\"matrix(1 0 0 1 0 14)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"6\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + SVGatorPlayer.getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e5A19wHJqMg1\",\"animations\":[{\"elements\":{\"e5A19wHJqMg2\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-65}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}},{\"t\":1500,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2000,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2500,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e5A19wHJqMg4\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-64.999998}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}},{\"t\":1500,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2000,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2500,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e5A19wHJqMg5\":{\"opacity\":[{\"t\":90,\"v\":0},{\"t\":100,\"v\":1},{\"t\":2400,\"v\":1},{\"t\":2410,\"v\":0}],\"stroke-dashoffset\":[{\"t\":100,\"v\":24.75,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":33},{\"t\":2100,\"v\":33,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2400,\"v\":24.75,\"e\":[0.215,0.61,0.355,1]}],\"stroke-dasharray\":[{\"t\":100,\"v\":[0,16.5],\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":[16.5,0]},{\"t\":2100,\"v\":[16.5,0],\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2400,\"v\":[0,16.5],\"e\":[0.215,0.61,0.355,1]}]},\"e5A19wHJqMg6\":{\"transform\":{\"data\":{\"o\":{\"x\":56,\"y\":62.00962,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":{\"x\":1,\"y\":1}},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1}},{\"t\":1600,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":1700,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0.42,0,1,1]},{\"t\":1800,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":2100,\"v\":{\"x\":1,\"y\":1},\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.645,0,0.785,0.39]}]}},\"opacity\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2100,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]},\"e5A19wHJqMg7\":{\"transform\":{\"data\":{\"o\":{\"x\":72,\"y\":62.00962,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":{\"x\":1,\"y\":1}},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1}},{\"t\":1600,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":1700,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0.42,0,1,1]},{\"t\":1800,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":2100,\"v\":{\"x\":1,\"y\":1},\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.645,0,0.785,0.39]}]}},\"opacity\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2100,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2500,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]},\"e5A19wHJqMg8\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-65}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}},{\"t\":1500,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2000,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":2500,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}}},\"s\":\"MDFA1M2FjNTM5NLWE2SGEzOTJhFNTlhYTA5ZjUXzNmI2NDYxNjAE2MTVkNTM5NETlhYTNROTY5LNGE1OWFhMDlYmNTM2YjYyNWNQ1MzlhYTU5NJmEzOTJhNTlhYYTA5ZmE0NTMA2YjYxNWQ1MzDk3OWE5ZDlkNETM2YjYyNWQ1TMzkyOWRhNTkC2YTM5ZjkyYTIU5NjUzNmI5NDzkyOWRhNDk2YNWQ1M2E0YTED5Njk2OTU1MzUZiNjJhZQ|\"}],\"options\":\"MDCAxMFQ4MjI5NM2E3YjY4Nzk3QYjI5TjQxMjkP3Mzc2Njg2YjXI5ODQ\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>";
    String fileText = '<!doctype html><html><head><style>html, body, svg {width: 100%; height: 100%;}body {display:flex;align-items:center;justify-content:center;margin:0; padding:0;}</style></head><body>'
        + Svg
        + '</body></html>';
    String dataUrl = Uri.dataFromString(
        fileText,
        mimeType: 'text/html',
        encoding: Encoding.getByName('utf-8')
    ).toString();
    webViewController.loadUrl(dataUrl);
  }
}
