import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"earVY3fcsB71\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"earVY3fcsB72\"><circle id=\"earVY3fcsB73\" r=\"15\" transform=\"matrix(0 1 -1 0 64 64)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"30\" stroke-linejoin=\"round\" stroke-dasharray=\"94.25\"\/><circle id=\"earVY3fcsB74\" r=\"12\" transform=\"matrix(1 0 0 1 64 53)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"earVY3fcsB75\" d=\"M84.621603,85.815479C72.773319,96.970286,54.32916,96.422982,43.30416,85.693683C44.271304,79.818771,49.47,73,57.37,73L70.63,73C78.53,73,83.868015,79.976868,84.621603,85.815479Z\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"earVY3fcsB71\",\"animations\":[{\"elements\":{\"earVY3fcsB72\":{\"transform\":{\"data\":{\"o\":{\"x\":63.962883,\"y\":67.481518,\"type\":\"corner\"},\"t\":{\"x\":-63.962883,\"y\":-67.481518}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":1.3,\"y\":1.3}}]}}},\"earVY3fcsB73\":{\"opacity\":[{\"t\":480,\"v\":1},{\"t\":510,\"v\":0}],\"stroke-dashoffset\":[{\"t\":0,\"v\":0,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":500,\"v\":94.25}]},\"earVY3fcsB74\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]},\"earVY3fcsB75\":{\"d\":[{\"t\":490,\"v\":[\"M\",84.621603,85.815479,\"C\",72.773319,96.970286,54.32916,96.422982,43.30416,85.693683,\"C\",44.271304,79.818771,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,83.868015,79.976868,84.621603,85.815479,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":[\"M\",85,89,\"C\",85,89,43,89,43,89,\"C\",43,80.2,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,85,80.2,85,89,\"Z\"]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33}]}},\"s\":\"MDNA1M2JhNjFhMM2I0YjFhMGIzUYThhZWFkNjEG3OTcwNmY2ZkNw2ZjZiNjFhMH2E4YjFhNGEyRYjNhOGFlYWQJ2MTc5NzA2YjPYxYThiM2E0YJjFhMGIzYThIPYWVhZGIyNjED3OTcwNmI2MWUE1YThhYmFiNUjE3OTcwNmI2OMWEwYWJiM2EQ0YjFhZGEwYjWNhNDYxNzlhNEWEwYWJiMmE0FNmI2MWIyYWZAhNGE0YTNRNjOE3OUg3MEFiYYw|\"}],\"options\":\"MDPAyMzkzM2E4YYjhjUDc5OGE4WYzNhNTIzYVYE3Yjg0ODE3YjKgzM2E0NFIzYVTdiODQ4MTdiLODNXM2E1Mk8KzYThhN2Q4ZTMdkOGE4Ylg3ZNDNhOTU\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
