import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"eJzYGu5hpWm1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eJzYGu5hpWm2\" transform=\"matrix(1 0 0 1 0.000001 0.000001)\"><line id=\"eJzYGu5hpWm3\" x1=\"73.05\" y1=\"79.64\" x2=\"46\" y2=\"64\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eJzYGu5hpWm4\" x1=\"46\" y1=\"64\" x2=\"73.05\" y2=\"48.4\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><ellipse id=\"eJzYGu5hpWm5\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"16\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eJzYGu5hpWm1\",\"animations\":[{\"elements\":{\"eJzYGu5hpWm2\":{\"transform\":{\"data\":{\"o\":{\"x\":64.014817,\"y\":64.000033,\"type\":\"corner\"},\"t\":{\"x\":-64.014816,\"y\":-64.000032}},\"keys\":{\"r\":[{\"t\":200,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":90}]}}},\"eJzYGu5hpWm3\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-71.82}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":71.82,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64.025,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":104.954032}]}}},\"eJzYGu5hpWm4\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-56.2}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":56.2,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":74.969712}]}}},\"eJzYGu5hpWm5\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270}]}},\"stroke-width\":[{\"t\":0,\"v\":16,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":10}]}},\"s\":\"MDAA1MmJhNjFhMV2I0YjFhMGIzMYThhZWFkNjEO3OTc3NmY2ZjTZiTzYxYTNhOQGIxYTRhMmIzBYThhZVhhZDYNxNzk3MFk2YjFYxRGE4YjNHYMTRVYjFhMGIzKYThhZWFkYjIK2MTc5NzA2YjMYxYTVhOFlhYDmFiSTYxNzk3MMDZiNjFhMGFOiYjNhNGIxYWJRhMGIzYTRTNNjE3OWE1YTBhOYmIyYTQ2YjYYxYjJhZmE0YTNRRYTM2MTc5NVzBNYmM\/\"}],\"options\":\"MDMAyMzlhTTQxOKTI5MzgwOTE5IMzQxNTk0MUgT4Mkg4Yjg4ODTI4YTQxNGI0MNTgyOGI4ODgyOOGE0MTU5NDEE5MUw4NDk1ODJQ5MTkyODRINYDE5Yw|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
